// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AttributeGroup的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var AttributeGroup_AttrGrpCode = grmi.NewField("AttrGrpCode", "AttrGrpCode", "attrgrpcode", grmi.TypeInt)
var AttributeGroup_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var AttributeGroup_Color = grmi.NewField("Color", "Color", "color", grmi.TypeString)
var AttributeGroup_AgiPara1 = grmi.NewField("AgiPara1", "AgiPara1", "agipara1", grmi.TypeInt)
var AttributeGroup_AgiPara2 = grmi.NewField("AgiPara2", "AgiPara2", "agipara2", grmi.TypeInt)
var AttributeGroup_AgcPara1 = grmi.NewField("AgcPara1", "AgcPara1", "agcpara1", grmi.TypeString)
var AttributeGroup_AgcPara2 = grmi.NewField("AgcPara2", "AgcPara2", "agcpara2", grmi.TypeString)
var AttributeGroup_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var AttributeGroup_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var AttributeGroup_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeGroup的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var AttributeGroup = grmi.NewEntity(
	"AttributeGroup",
	func() interface{} { return &model.AttributeGroup{} },
	map[string]grmi.Field{
		AttributeGroup_AttrGrpCode.Name: AttributeGroup_AttrGrpCode,
		AttributeGroup_Descr.Name:       AttributeGroup_Descr,
		AttributeGroup_Color.Name:       AttributeGroup_Color,
		AttributeGroup_AgiPara1.Name:    AttributeGroup_AgiPara1,
		AttributeGroup_AgiPara2.Name:    AttributeGroup_AgiPara2,
		AttributeGroup_AgcPara1.Name:    AttributeGroup_AgcPara1,
		AttributeGroup_AgcPara2.Name:    AttributeGroup_AgcPara2,
		AttributeGroup_LastModify.Name:  AttributeGroup_LastModify,
		AttributeGroup_LastUser.Name:    AttributeGroup_LastUser,
		AttributeGroup_CreateTime.Name:  AttributeGroup_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{AttributeGroup_Descr.ColumnName, AttributeGroup_Color.ColumnName, AttributeGroup_AgiPara1.ColumnName, AttributeGroup_AgiPara2.ColumnName, AttributeGroup_AgcPara1.ColumnName, AttributeGroup_AgcPara2.ColumnName, AttributeGroup_LastUser.ColumnName})
