// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AttributeGroupValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var AttributeGroupValst_AttrCode = grmi.NewField("AttrCode", "AttrCode", "attrcode", grmi.TypeInt)
var AttributeGroupValst_AttrGrpCode = grmi.NewField("AttrGrpCode", "AttrGrpCode", "attrgrpcode", grmi.TypeInt)
var AttributeGroupValst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var AttributeGroupValst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var AttributeGroupValst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var AttributeGroupValst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeGroupValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var AttributeGroupValst = grmi.NewEntity(
	"AttributeGroupValst",
	func() interface{} { return &model.AttributeGroupValst{} },
	map[string]grmi.Field{
		AttributeGroupValst_AttrCode.Name:    AttributeGroupValst_AttrCode,
		AttributeGroupValst_AttrGrpCode.Name: AttributeGroupValst_AttrGrpCode,
		AttributeGroupValst_Pos.Name:         AttributeGroupValst_Pos,
		AttributeGroupValst_LastModify.Name:  AttributeGroupValst_LastModify,
		AttributeGroupValst_LastUser.Name:    AttributeGroupValst_LastUser,
		AttributeGroupValst_CreateTime.Name:  AttributeGroupValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{AttributeGroupValst_Pos.ColumnName, AttributeGroupValst_LastUser.ColumnName})
