// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : EtlLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var EtlLst_EtlId = grmi.NewField("EtlId", "EtlId", "etlid", grmi.TypeInt)
var EtlLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var EtlLst_Table = grmi.NewField("Table", "Table", "table", grmi.TypeString)
var EtlLst_Field = grmi.NewField("Field", "Field", "field", grmi.TypeString)
var EtlLst_FieldName = grmi.NewField("FieldName", "FieldName", "fieldname", grmi.TypeString)
var EtlLst_FieldType = grmi.NewField("FieldType", "FieldType", "fieldtype", grmi.TypeString)
var EtlLst_FuncSpec = grmi.NewField("FuncSpec", "FuncSpec", "funcspec", grmi.TypeString)
var EtlLst_ToField = grmi.NewField("ToField", "ToField", "tofield", grmi.TypeString)
var EtlLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var EtlLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var EtlLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : EtlLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var EtlLst = grmi.NewEntity(
	"EtlLst",
	func() interface{} { return &model.EtlLst{} },
	map[string]grmi.Field{
		EtlLst_EtlId.Name:      EtlLst_EtlId,
		EtlLst_Pos.Name:        EtlLst_Pos,
		EtlLst_Table.Name:      EtlLst_Table,
		EtlLst_Field.Name:      EtlLst_Field,
		EtlLst_FieldName.Name:  EtlLst_FieldName,
		EtlLst_FieldType.Name:  EtlLst_FieldType,
		EtlLst_FuncSpec.Name:   EtlLst_FuncSpec,
		EtlLst_ToField.Name:    EtlLst_ToField,
		EtlLst_LastModify.Name: EtlLst_LastModify,
		EtlLst_LastUser.Name:   EtlLst_LastUser,
		EtlLst_CreateTime.Name: EtlLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{EtlLst_Table.ColumnName, EtlLst_Field.ColumnName, EtlLst_FieldName.ColumnName, EtlLst_FieldType.ColumnName, EtlLst_FuncSpec.ColumnName, EtlLst_ToField.ColumnName, EtlLst_LastUser.ColumnName})
