// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : RoleMenu的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
var RoleMenu_RoleId = grmi.NewField("RoleId", "RoleId", "roleid", grmi.TypeInt)
var RoleMenu_MenuId = grmi.NewField("MenuId", "MenuId", "menuid", grmi.TypeInt)
var RoleMenu_RoleName = grmi.NewField("RoleName", "RoleName", "rolename", grmi.TypeString)
var RoleMenu_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var RoleMenu_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var RoleMenu_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : RoleMenu的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
var RoleMenu = grmi.NewEntity(
	"RoleMenu",
	func() interface{} { return &model.RoleMenu{} },
	map[string]grmi.Field{
		RoleMenu_RoleId.Name:     RoleMenu_RoleId,
		RoleMenu_MenuId.Name:     RoleMenu_MenuId,
		RoleMenu_RoleName.Name:   RoleMenu_RoleName,
		RoleMenu_LastModify.Name: RoleMenu_LastModify,
		RoleMenu_LastUser.Name:   RoleMenu_LastUser,
		RoleMenu_CreateTime.Name: RoleMenu_CreateTime,
	},
	[]string{},
	[]string{RoleMenu_RoleName.ColumnName, RoleMenu_LastUser.ColumnName})
