// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Script的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Script_Script = grmi.NewField("Script", "Script", "script", grmi.TypeString)
var Script_Bez = grmi.NewField("Bez", "Bez", "bez", grmi.TypeString)
var Script_ScriptTable = grmi.NewField("ScriptTable", "ScriptTable", "scripttable", grmi.TypeString)
var Script_ScriptType = grmi.NewField("ScriptType", "ScriptType", "scripttype", grmi.TypeString)
var Script_FilePath = grmi.NewField("FilePath", "FilePath", "filepath", grmi.TypeString)
var Script_Separator = grmi.NewField("Separator", "Separator", "separator", grmi.TypeString)
var Script_UseHead = grmi.NewField("UseHead", "UseHead", "usehead", grmi.TypeInt)
var Script_ClearTable = grmi.NewField("ClearTable", "ClearTable", "cleartable", grmi.TypeInt)
var Script_StartRow = grmi.NewField("StartRow", "StartRow", "startrow", grmi.TypeInt)
var Script_StartCol = grmi.NewField("StartCol", "StartCol", "startcol", grmi.TypeInt)
var Script_AppendNewRecord = grmi.NewField("AppendNewRecord", "AppendNewRecord", "appendnewrecord", grmi.TypeInt)
var Script_UpdateRecord = grmi.NewField("UpdateRecord", "UpdateRecord", "updaterecord", grmi.TypeInt)
var Script_CallSpecFunc = grmi.NewField("CallSpecFunc", "CallSpecFunc", "callspecfunc", grmi.TypeInt)
var Script_CallFunction = grmi.NewField("CallFunction", "CallFunction", "callfunction", grmi.TypeString)
var Script_InputPara1 = grmi.NewField("InputPara1", "InputPara1", "inputpara1", grmi.TypeString)
var Script_Para1Type = grmi.NewField("Para1Type", "Para1Type", "para1type", grmi.TypeInt)
var Script_Para1Descr = grmi.NewField("Para1Descr", "Para1Descr", "para1descr", grmi.TypeString)
var Script_InputPara2 = grmi.NewField("InputPara2", "InputPara2", "inputpara2", grmi.TypeString)
var Script_Para2Type = grmi.NewField("Para2Type", "Para2Type", "para2type", grmi.TypeInt)
var Script_Para2Descr = grmi.NewField("Para2Descr", "Para2Descr", "para2descr", grmi.TypeString)
var Script_InputPara3 = grmi.NewField("InputPara3", "InputPara3", "inputpara3", grmi.TypeString)
var Script_Para3Type = grmi.NewField("Para3Type", "Para3Type", "para3type", grmi.TypeInt)
var Script_Para3Descr = grmi.NewField("Para3Descr", "Para3Descr", "para3descr", grmi.TypeString)
var Script_InputPara4 = grmi.NewField("InputPara4", "InputPara4", "inputpara4", grmi.TypeString)
var Script_Para4Type = grmi.NewField("Para4Type", "Para4Type", "para4type", grmi.TypeInt)
var Script_Para4Descr = grmi.NewField("Para4Descr", "Para4Descr", "para4descr", grmi.TypeString)
var Script_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Script_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Script_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Script的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Script = grmi.NewEntity(
	"Script",
	func() interface{} { return &model.Script{} },
	map[string]grmi.Field{
		Script_Script.Name:          Script_Script,
		Script_Bez.Name:             Script_Bez,
		Script_ScriptTable.Name:     Script_ScriptTable,
		Script_ScriptType.Name:      Script_ScriptType,
		Script_FilePath.Name:        Script_FilePath,
		Script_Separator.Name:       Script_Separator,
		Script_UseHead.Name:         Script_UseHead,
		Script_ClearTable.Name:      Script_ClearTable,
		Script_StartRow.Name:        Script_StartRow,
		Script_StartCol.Name:        Script_StartCol,
		Script_AppendNewRecord.Name: Script_AppendNewRecord,
		Script_UpdateRecord.Name:    Script_UpdateRecord,
		Script_CallSpecFunc.Name:    Script_CallSpecFunc,
		Script_CallFunction.Name:    Script_CallFunction,
		Script_InputPara1.Name:      Script_InputPara1,
		Script_Para1Type.Name:       Script_Para1Type,
		Script_Para1Descr.Name:      Script_Para1Descr,
		Script_InputPara2.Name:      Script_InputPara2,
		Script_Para2Type.Name:       Script_Para2Type,
		Script_Para2Descr.Name:      Script_Para2Descr,
		Script_InputPara3.Name:      Script_InputPara3,
		Script_Para3Type.Name:       Script_Para3Type,
		Script_Para3Descr.Name:      Script_Para3Descr,
		Script_InputPara4.Name:      Script_InputPara4,
		Script_Para4Type.Name:       Script_Para4Type,
		Script_Para4Descr.Name:      Script_Para4Descr,
		Script_LastModify.Name:      Script_LastModify,
		Script_LastUser.Name:        Script_LastUser,
		Script_CreateTime.Name:      Script_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Script_Bez.ColumnName, Script_ScriptTable.ColumnName, Script_ScriptType.ColumnName, Script_FilePath.ColumnName, Script_Separator.ColumnName, Script_UseHead.ColumnName, Script_ClearTable.ColumnName, Script_StartRow.ColumnName, Script_StartCol.ColumnName, Script_AppendNewRecord.ColumnName, Script_UpdateRecord.ColumnName, Script_CallSpecFunc.ColumnName, Script_CallFunction.ColumnName, Script_InputPara1.ColumnName, Script_Para1Type.ColumnName, Script_Para1Descr.ColumnName, Script_InputPara2.ColumnName, Script_Para2Type.ColumnName, Script_Para2Descr.ColumnName, Script_InputPara3.ColumnName, Script_Para3Type.ColumnName, Script_Para3Descr.ColumnName, Script_InputPara4.ColumnName, Script_Para4Type.ColumnName, Script_Para4Descr.ColumnName, Script_LastUser.ColumnName})
