// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : ScriptItem的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var ScriptItem_Script = grmi.NewField("Script", "Script", "script", grmi.TypeString)
var ScriptItem_TabMapCol = grmi.NewField("TabMapCol", "TabMapCol", "tabmapcol", grmi.TypeString)
var ScriptItem_ColNo = grmi.NewField("ColNo", "ColNo", "colno", grmi.TypeInt)
var ScriptItem_ColName = grmi.NewField("ColName", "ColName", "colname", grmi.TypeString)
var ScriptItem_RowNo = grmi.NewField("RowNo", "RowNo", "rowno", grmi.TypeInt)
var ScriptItem_RowName = grmi.NewField("RowName", "RowName", "rowname", grmi.TypeString)
var ScriptItem_ColFieldType = grmi.NewField("ColFieldType", "ColFieldType", "colfieldtype", grmi.TypeInt)
var ScriptItem_ColFormat = grmi.NewField("ColFormat", "ColFormat", "colformat", grmi.TypeString)
var ScriptItem_DefaultValue = grmi.NewField("DefaultValue", "DefaultValue", "defaultvalue", grmi.TypeString)
var ScriptItem_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var ScriptItem_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var ScriptItem_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ScriptItem的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var ScriptItem = grmi.NewEntity(
	"ScriptItem",
	func() interface{} { return &model.ScriptItem{} },
	map[string]grmi.Field{
		ScriptItem_Script.Name:       ScriptItem_Script,
		ScriptItem_TabMapCol.Name:    ScriptItem_TabMapCol,
		ScriptItem_ColNo.Name:        ScriptItem_ColNo,
		ScriptItem_ColName.Name:      ScriptItem_ColName,
		ScriptItem_RowNo.Name:        ScriptItem_RowNo,
		ScriptItem_RowName.Name:      ScriptItem_RowName,
		ScriptItem_ColFieldType.Name: ScriptItem_ColFieldType,
		ScriptItem_ColFormat.Name:    ScriptItem_ColFormat,
		ScriptItem_DefaultValue.Name: ScriptItem_DefaultValue,
		ScriptItem_LastModify.Name:   ScriptItem_LastModify,
		ScriptItem_LastUser.Name:     ScriptItem_LastUser,
		ScriptItem_CreateTime.Name:   ScriptItem_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{ScriptItem_ColNo.ColumnName, ScriptItem_ColName.ColumnName, ScriptItem_RowNo.ColumnName, ScriptItem_RowName.ColumnName, ScriptItem_ColFieldType.ColumnName, ScriptItem_ColFormat.ColumnName, ScriptItem_DefaultValue.ColumnName, ScriptItem_LastUser.ColumnName})
