// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : User的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var User_UserId = grmi.NewField("UserId", "UserId", "userid", grmi.TypeString)
var User_Name = grmi.NewField("Name", "Name", "name", grmi.TypeString)
var User_NickName = grmi.NewField("NickName", "NickName", "nickname", grmi.TypeString)
var User_DepId = grmi.NewField("DepId", "DepId", "depid", grmi.TypeInt)
var User_Phone = grmi.NewField("Phone", "Phone", "phone", grmi.TypeString)
var User_Avatar = grmi.NewField("Avatar", "Avatar", "avatar", grmi.TypeString)
var User_Email = grmi.NewField("Email", "Email", "email", grmi.TypeString)
var User_Status = grmi.NewField("Status", "Status", "status", grmi.TypeString)
var User_Gender = grmi.NewField("Gender", "Gender", "gender", grmi.TypeString)
var User_Position = grmi.NewField("Position", "Position", "position", grmi.TypeString)
var User_Role = grmi.NewField("Role", "Role", "role", grmi.TypeString)
var User_Remark = grmi.NewField("Remark", "Remark", "remark", grmi.TypeString)
var User_Password = grmi.NewField("Password", "Password", "password", grmi.TypeString)
var User_RoleId = grmi.NewField("RoleId", "RoleId", "roleid", grmi.TypeInt)
var User_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var User_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var User_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : User的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var User = grmi.NewEntity(
	"User",
	func() interface{} { return &model.User{} },
	map[string]grmi.Field{
		User_UserId.Name:     User_UserId,
		User_Name.Name:       User_Name,
		User_NickName.Name:   User_NickName,
		User_DepId.Name:      User_DepId,
		User_Phone.Name:      User_Phone,
		User_Avatar.Name:     User_Avatar,
		User_Email.Name:      User_Email,
		User_Status.Name:     User_Status,
		User_Gender.Name:     User_Gender,
		User_Position.Name:   User_Position,
		User_Role.Name:       User_Role,
		User_Remark.Name:     User_Remark,
		User_Password.Name:   User_Password,
		User_RoleId.Name:     User_RoleId,
		User_LastModify.Name: User_LastModify,
		User_LastUser.Name:   User_LastUser,
		User_CreateTime.Name: User_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{User_Name.ColumnName, User_NickName.ColumnName, User_DepId.ColumnName, User_Phone.ColumnName, User_Avatar.ColumnName, User_Email.ColumnName, User_Status.ColumnName, User_Gender.ColumnName, User_Position.ColumnName, User_Role.ColumnName, User_Remark.ColumnName, User_Password.ColumnName, User_RoleId.ColumnName, User_LastUser.ColumnName})
