// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WeekModelLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
var WeekModelLst_WeekModelNr = grmi.NewField("WeekModelNr", "WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WeekModelLst_WorkDate = grmi.NewField("WorkDate", "WorkDate", "workdate", grmi.TypeDate)
var WeekModelLst_DayModelNr = grmi.NewField("DayModelNr", "DayModelNr", "daymodelnr", grmi.TypeInt)
var WeekModelLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var WeekModelLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var WeekModelLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WeekModelLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WeekModelLst = grmi.NewEntity(
	"WeekModelLst",
	func() interface{} { return &model.WeekModelLst{} },
	map[string]grmi.Field{
		WeekModelLst_WeekModelNr.Name: WeekModelLst_WeekModelNr,
		WeekModelLst_WorkDate.Name:    WeekModelLst_WorkDate,
		WeekModelLst_DayModelNr.Name:  WeekModelLst_DayModelNr,
		WeekModelLst_LastModify.Name:  WeekModelLst_LastModify,
		WeekModelLst_LastUser.Name:    WeekModelLst_LastUser,
		WeekModelLst_CreateTime.Name:  WeekModelLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WeekModelLst_DayModelNr.ColumnName, WeekModelLst_LastUser.ColumnName})
