// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkCalendar的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkCalendar_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkCalendar_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkCalendar_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkCalendar_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkCalendar_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkCalendar的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkCalendar = grmi.NewEntity(
	"WorkCalendar",
	func() interface{} { return &model.WorkCalendar{} },
	map[string]grmi.Field{
		WorkCalendar_WorkCalendarNr.Name: WorkCalendar_WorkCalendarNr,
		WorkCalendar_Descr.Name:          WorkCalendar_Descr,
		WorkCalendar_LastModify.Name:     WorkCalendar_LastModify,
		WorkCalendar_LastUser.Name:       WorkCalendar_LastUser,
		WorkCalendar_CreateTime.Name:     WorkCalendar_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkCalendar_Descr.ColumnName, WorkCalendar_LastUser.ColumnName})
