// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialDay的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineSpecialDay_WorkLineid = grmi.NewField("WorkLineid", "WorkLineid", "worklineid", grmi.TypeString)
var WorkLineSpecialDay_SpecialDay = grmi.NewField("SpecialDay", "SpecialDay", "specialday", grmi.TypeString)
var WorkLineSpecialDay_DayModelNr = grmi.NewField("DayModelNr", "DayModelNr", "daymodelnr", grmi.TypeInt)
var WorkLineSpecialDay_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkLineSpecialDay_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkLineSpecialDay_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkLineSpecialDay_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialDay的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineSpecialDay = grmi.NewEntity(
	"WorkLineSpecialDay",
	func() interface{} { return &model.WorkLineSpecialDay{} },
	map[string]grmi.Field{
		WorkLineSpecialDay_WorkLineid.Name: WorkLineSpecialDay_WorkLineid,
		WorkLineSpecialDay_SpecialDay.Name: WorkLineSpecialDay_SpecialDay,
		WorkLineSpecialDay_DayModelNr.Name: WorkLineSpecialDay_DayModelNr,
		WorkLineSpecialDay_Descr.Name:      WorkLineSpecialDay_Descr,
		WorkLineSpecialDay_LastModify.Name: WorkLineSpecialDay_LastModify,
		WorkLineSpecialDay_LastUser.Name:   WorkLineSpecialDay_LastUser,
		WorkLineSpecialDay_CreateTime.Name: WorkLineSpecialDay_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkLineSpecialDay_DayModelNr.ColumnName, WorkLineSpecialDay_Descr.ColumnName, WorkLineSpecialDay_LastUser.ColumnName})
