// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialTime的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineSpecialTime_WorkLineid = grmi.NewField("WorkLineid", "WorkLineid", "worklineid", grmi.TypeString)
var WorkLineSpecialTime_BegTime = grmi.NewField("BegTime", "BegTime", "begtime", grmi.TypeDateTime)
var WorkLineSpecialTime_AddMinus = grmi.NewField("AddMinus", "AddMinus", "addminus", grmi.TypeInt)
var WorkLineSpecialTime_EndTime = grmi.NewField("EndTime", "EndTime", "endtime", grmi.TypeDateTime)
var WorkLineSpecialTime_TimeObjId = grmi.NewField("TimeObjId", "TimeObjId", "timeobjid", grmi.TypeString)
var WorkLineSpecialTime_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkLineSpecialTime_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkLineSpecialTime_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineSpecialTime的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineSpecialTime = grmi.NewEntity(
	"WorkLineSpecialTime",
	func() interface{} { return &model.WorkLineSpecialTime{} },
	map[string]grmi.Field{
		WorkLineSpecialTime_WorkLineid.Name: WorkLineSpecialTime_WorkLineid,
		WorkLineSpecialTime_BegTime.Name:    WorkLineSpecialTime_BegTime,
		WorkLineSpecialTime_AddMinus.Name:   WorkLineSpecialTime_AddMinus,
		WorkLineSpecialTime_EndTime.Name:    WorkLineSpecialTime_EndTime,
		WorkLineSpecialTime_TimeObjId.Name:  WorkLineSpecialTime_TimeObjId,
		WorkLineSpecialTime_LastModify.Name: WorkLineSpecialTime_LastModify,
		WorkLineSpecialTime_LastUser.Name:   WorkLineSpecialTime_LastUser,
		WorkLineSpecialTime_CreateTime.Name: WorkLineSpecialTime_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkLineSpecialTime_AddMinus.ColumnName, WorkLineSpecialTime_EndTime.ColumnName, WorkLineSpecialTime_TimeObjId.ColumnName, WorkLineSpecialTime_LastUser.ColumnName})
