// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftSpecialTime的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineWorkShiftSpecialTime_WorkLineId = grmi.NewField("WorkLineId", "WorkLineId", "worklineid", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_WorkDay = grmi.NewField("WorkDay", "WorkDay", "workday", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var WorkLineWorkShiftSpecialTime_BegTime = grmi.NewField("BegTime", "BegTime", "begtime", grmi.TypeDateTime)
var WorkLineWorkShiftSpecialTime_AddMinus = grmi.NewField("AddMinus", "AddMinus", "addminus", grmi.TypeInt)
var WorkLineWorkShiftSpecialTime_EndTime = grmi.NewField("EndTime", "EndTime", "endtime", grmi.TypeDateTime)
var WorkLineWorkShiftSpecialTime_TimeObjId = grmi.NewField("TimeObjId", "TimeObjId", "timeobjid", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkLineWorkShiftSpecialTime_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkLineWorkShiftSpecialTime_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftSpecialTime的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineWorkShiftSpecialTime = grmi.NewEntity(
	"WorkLineWorkShiftSpecialTime",
	func() interface{} { return &model.WorkLineWorkShiftSpecialTime{} },
	map[string]grmi.Field{
		WorkLineWorkShiftSpecialTime_WorkLineId.Name: WorkLineWorkShiftSpecialTime_WorkLineId,
		WorkLineWorkShiftSpecialTime_WorkDay.Name:    WorkLineWorkShiftSpecialTime_WorkDay,
		WorkLineWorkShiftSpecialTime_Pos.Name:        WorkLineWorkShiftSpecialTime_Pos,
		WorkLineWorkShiftSpecialTime_BegTime.Name:    WorkLineWorkShiftSpecialTime_BegTime,
		WorkLineWorkShiftSpecialTime_AddMinus.Name:   WorkLineWorkShiftSpecialTime_AddMinus,
		WorkLineWorkShiftSpecialTime_EndTime.Name:    WorkLineWorkShiftSpecialTime_EndTime,
		WorkLineWorkShiftSpecialTime_TimeObjId.Name:  WorkLineWorkShiftSpecialTime_TimeObjId,
		WorkLineWorkShiftSpecialTime_LastModify.Name: WorkLineWorkShiftSpecialTime_LastModify,
		WorkLineWorkShiftSpecialTime_LastUser.Name:   WorkLineWorkShiftSpecialTime_LastUser,
		WorkLineWorkShiftSpecialTime_CreateTime.Name: WorkLineWorkShiftSpecialTime_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkLineWorkShiftSpecialTime_AddMinus.ColumnName, WorkLineWorkShiftSpecialTime_EndTime.ColumnName, WorkLineWorkShiftSpecialTime_TimeObjId.ColumnName, WorkLineWorkShiftSpecialTime_LastUser.ColumnName})
