// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : ArtDemandLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var ArtDemandLst_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var ArtDemandLst_DemandTime = grmi.NewField("DemandTime", "DemandTime", "demandtime", grmi.TypeDateTime)
var ArtDemandLst_DemandId = grmi.NewField("DemandId", "DemandId", "demandid", grmi.TypeString)
var ArtDemandLst_DemandYear = grmi.NewField("DemandYear", "DemandYear", "demandyear", grmi.TypeInt)
var ArtDemandLst_DemandMonth = grmi.NewField("DemandMonth", "DemandMonth", "demandmonth", grmi.TypeInt)
var ArtDemandLst_DemandWeek = grmi.NewField("DemandWeek", "DemandWeek", "demandweek", grmi.TypeInt)
var ArtDemandLst_DemandDate = grmi.NewField("DemandDate", "DemandDate", "demanddate", grmi.TypeDate)
var ArtDemandLst_DemandHour = grmi.NewField("DemandHour", "DemandHour", "demandhour", grmi.TypeInt)
var ArtDemandLst_DemandQty = grmi.NewField("DemandQty", "DemandQty", "demandqty", grmi.TypeFloat64)
var ArtDemandLst_QtyUomId = grmi.NewField("QtyUomId", "QtyUomId", "qtyuomid", grmi.TypeString)
var ArtDemandLst_DemandObjId = grmi.NewField("DemandObjId", "DemandObjId", "demandobjid", grmi.TypeString)
var ArtDemandLst_DemandType = grmi.NewField("DemandType", "DemandType", "demandtype", grmi.TypeString)
var ArtDemandLst_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var ArtDemandLst_DemandSendTime = grmi.NewField("DemandSendTime", "DemandSendTime", "demandsendtime", grmi.TypeDateTime)
var ArtDemandLst_DemandRecieveTime = grmi.NewField("DemandRecieveTime", "DemandRecieveTime", "demandrecievetime", grmi.TypeDateTime)
var ArtDemandLst_DemandConfirmTime = grmi.NewField("DemandConfirmTime", "DemandConfirmTime", "demandconfirmtime", grmi.TypeDateTime)
var ArtDemandLst_DemandCloseTime = grmi.NewField("DemandCloseTime", "DemandCloseTime", "demandclosetime", grmi.TypeDateTime)
var ArtDemandLst_DemandDeliveredQty = grmi.NewField("DemandDeliveredQty", "DemandDeliveredQty", "demanddeliveredqty", grmi.TypeFloat64)
var ArtDemandLst_DemandCtrlPara1 = grmi.NewField("DemandCtrlPara1", "DemandCtrlPara1", "demandctrlpara1", grmi.TypeInt)
var ArtDemandLst_DemandCtrlPara2 = grmi.NewField("DemandCtrlPara2", "DemandCtrlPara2", "demandctrlpara2", grmi.TypeInt)
var ArtDemandLst_DemandCtrlPara3 = grmi.NewField("DemandCtrlPara3", "DemandCtrlPara3", "demandctrlpara3", grmi.TypeString)
var ArtDemandLst_DemandCtrlPara4 = grmi.NewField("DemandCtrlPara4", "DemandCtrlPara4", "demandctrlpara4", grmi.TypeString)
var ArtDemandLst_DemandCtrlTime1 = grmi.NewField("DemandCtrlTime1", "DemandCtrlTime1", "demandctrltime1", grmi.TypeDateTime)
var ArtDemandLst_DemandCtrlTime2 = grmi.NewField("DemandCtrlTime2", "DemandCtrlTime2", "demandctrltime2", grmi.TypeDateTime)
var ArtDemandLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ArtDemandLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ArtDemandLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ArtDemandLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var ArtDemandLst = grmi.NewEntity(
	"LOG_ArtDemandLst",
	func() interface{} { return &model.ArtDemandLst{} },
	map[string]grmi.Field{
		ArtDemandLst_ArtId.Name:              ArtDemandLst_ArtId,
		ArtDemandLst_DemandTime.Name:         ArtDemandLst_DemandTime,
		ArtDemandLst_DemandId.Name:           ArtDemandLst_DemandId,
		ArtDemandLst_DemandYear.Name:         ArtDemandLst_DemandYear,
		ArtDemandLst_DemandMonth.Name:        ArtDemandLst_DemandMonth,
		ArtDemandLst_DemandWeek.Name:         ArtDemandLst_DemandWeek,
		ArtDemandLst_DemandDate.Name:         ArtDemandLst_DemandDate,
		ArtDemandLst_DemandHour.Name:         ArtDemandLst_DemandHour,
		ArtDemandLst_DemandQty.Name:          ArtDemandLst_DemandQty,
		ArtDemandLst_QtyUomId.Name:           ArtDemandLst_QtyUomId,
		ArtDemandLst_DemandObjId.Name:        ArtDemandLst_DemandObjId,
		ArtDemandLst_DemandType.Name:         ArtDemandLst_DemandType,
		ArtDemandLst_Status.Name:             ArtDemandLst_Status,
		ArtDemandLst_DemandSendTime.Name:     ArtDemandLst_DemandSendTime,
		ArtDemandLst_DemandRecieveTime.Name:  ArtDemandLst_DemandRecieveTime,
		ArtDemandLst_DemandConfirmTime.Name:  ArtDemandLst_DemandConfirmTime,
		ArtDemandLst_DemandCloseTime.Name:    ArtDemandLst_DemandCloseTime,
		ArtDemandLst_DemandDeliveredQty.Name: ArtDemandLst_DemandDeliveredQty,
		ArtDemandLst_DemandCtrlPara1.Name:    ArtDemandLst_DemandCtrlPara1,
		ArtDemandLst_DemandCtrlPara2.Name:    ArtDemandLst_DemandCtrlPara2,
		ArtDemandLst_DemandCtrlPara3.Name:    ArtDemandLst_DemandCtrlPara3,
		ArtDemandLst_DemandCtrlPara4.Name:    ArtDemandLst_DemandCtrlPara4,
		ArtDemandLst_DemandCtrlTime1.Name:    ArtDemandLst_DemandCtrlTime1,
		ArtDemandLst_DemandCtrlTime2.Name:    ArtDemandLst_DemandCtrlTime2,
		ArtDemandLst_LastModify.Name:         ArtDemandLst_LastModify,
		ArtDemandLst_LastUser.Name:           ArtDemandLst_LastUser,
		ArtDemandLst_CreateTime.Name:         ArtDemandLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{ArtDemandLst_DemandId.ColumnName, ArtDemandLst_DemandYear.ColumnName, ArtDemandLst_DemandMonth.ColumnName, ArtDemandLst_DemandWeek.ColumnName, ArtDemandLst_DemandDate.ColumnName, ArtDemandLst_DemandHour.ColumnName, ArtDemandLst_DemandQty.ColumnName, ArtDemandLst_QtyUomId.ColumnName, ArtDemandLst_DemandObjId.ColumnName, ArtDemandLst_DemandType.ColumnName, ArtDemandLst_Status.ColumnName, ArtDemandLst_DemandSendTime.ColumnName, ArtDemandLst_DemandRecieveTime.ColumnName, ArtDemandLst_DemandConfirmTime.ColumnName, ArtDemandLst_DemandCloseTime.ColumnName, ArtDemandLst_DemandDeliveredQty.ColumnName, ArtDemandLst_DemandCtrlPara1.ColumnName, ArtDemandLst_DemandCtrlPara2.ColumnName, ArtDemandLst_DemandCtrlPara3.ColumnName, ArtDemandLst_DemandCtrlPara4.ColumnName, ArtDemandLst_DemandCtrlTime1.ColumnName, ArtDemandLst_DemandCtrlTime2.ColumnName, ArtDemandLst_LastUser.ColumnName})
