// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackOrderItemlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var PackOrderItemlst_PackOrderId = grmi.NewField("PackOrderId", "PackOrderId", "packorderid", grmi.TypeString)
var PackOrderItemlst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var PackOrderItemlst_PosCode = grmi.NewField("PosCode", "PosCode", "poscode", grmi.TypeString)
var PackOrderItemlst_MaterialId = grmi.NewField("MaterialId", "MaterialId", "materialid", grmi.TypeString)
var PackOrderItemlst_SerialOrderId = grmi.NewField("SerialOrderId", "SerialOrderId", "serialorderid", grmi.TypeString)
var PackOrderItemlst_PlanQty = grmi.NewField("PlanQty", "PlanQty", "planqty", grmi.TypeFloat64)
var PackOrderItemlst_ActQty = grmi.NewField("ActQty", "ActQty", "actqty", grmi.TypeFloat64)
var PackOrderItemlst_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var PackOrderItemlst_Seq = grmi.NewField("Seq", "Seq", "seq", grmi.TypeInt)
var PackOrderItemlst_PKOICustC1 = grmi.NewField("PKOICustC1", "PKOI_CustC1", "pkoicustc1", grmi.TypeString)
var PackOrderItemlst_PKOICustC2 = grmi.NewField("PKOICustC2", "PKOI_CustC2", "pkoicustc2", grmi.TypeString)
var PackOrderItemlst_PKOICustI1 = grmi.NewField("PKOICustI1", "PKOI_CustI1", "pkoicusti1", grmi.TypeInt)
var PackOrderItemlst_PKOICustI2 = grmi.NewField("PKOICustI2", "PKOI_CustI2", "pkoicusti2", grmi.TypeInt)
var PackOrderItemlst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var PackOrderItemlst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var PackOrderItemlst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrderItemlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var PackOrderItemlst = grmi.NewEntity(
	"LOG_PackOrderItemlst",
	func() interface{} { return &model.PackOrderItemlst{} },
	map[string]grmi.Field{
		PackOrderItemlst_PackOrderId.Name:   PackOrderItemlst_PackOrderId,
		PackOrderItemlst_Pos.Name:           PackOrderItemlst_Pos,
		PackOrderItemlst_PosCode.Name:       PackOrderItemlst_PosCode,
		PackOrderItemlst_MaterialId.Name:    PackOrderItemlst_MaterialId,
		PackOrderItemlst_SerialOrderId.Name: PackOrderItemlst_SerialOrderId,
		PackOrderItemlst_PlanQty.Name:       PackOrderItemlst_PlanQty,
		PackOrderItemlst_ActQty.Name:        PackOrderItemlst_ActQty,
		PackOrderItemlst_Status.Name:        PackOrderItemlst_Status,
		PackOrderItemlst_Seq.Name:           PackOrderItemlst_Seq,
		PackOrderItemlst_PKOICustC1.Name:    PackOrderItemlst_PKOICustC1,
		PackOrderItemlst_PKOICustC2.Name:    PackOrderItemlst_PKOICustC2,
		PackOrderItemlst_PKOICustI1.Name:    PackOrderItemlst_PKOICustI1,
		PackOrderItemlst_PKOICustI2.Name:    PackOrderItemlst_PKOICustI2,
		PackOrderItemlst_LastModify.Name:    PackOrderItemlst_LastModify,
		PackOrderItemlst_LastUser.Name:      PackOrderItemlst_LastUser,
		PackOrderItemlst_CreateTime.Name:    PackOrderItemlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{PackOrderItemlst_PosCode.ColumnName, PackOrderItemlst_MaterialId.ColumnName, PackOrderItemlst_SerialOrderId.ColumnName, PackOrderItemlst_PlanQty.ColumnName, PackOrderItemlst_ActQty.ColumnName, PackOrderItemlst_Status.ColumnName, PackOrderItemlst_Seq.ColumnName, PackOrderItemlst_PKOICustC1.ColumnName, PackOrderItemlst_PKOICustC2.ColumnName, PackOrderItemlst_PKOICustI1.ColumnName, PackOrderItemlst_PKOICustI2.ColumnName, PackOrderItemlst_LastUser.ColumnName})
