// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackTemplatePrintlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var PackTemplatePrintlst_PackTemplateId = grmi.NewField("PackTemplateId", "PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplatePrintlst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var PackTemplatePrintlst_VarName = grmi.NewField("VarName", "VarName", "varname", grmi.TypeString)
var PackTemplatePrintlst_VarValue = grmi.NewField("VarValue", "VarValue", "varvalue", grmi.TypeString)
var PackTemplatePrintlst_VarType = grmi.NewField("VarType", "VarType", "vartype", grmi.TypeString)
var PackTemplatePrintlst_VarPos = grmi.NewField("VarPos", "VarPos", "varpos", grmi.TypeString)
var PackTemplatePrintlst_Picture = grmi.NewField("Picture", "Picture", "picture", grmi.TypeString)
var PackTemplatePrintlst_IsIdxToggle = grmi.NewField("IsIdxToggle", "IsIdxToggle", "isidxtoggle", grmi.TypeBool)
var PackTemplatePrintlst_KeyVal = grmi.NewField("KeyVal", "KeyVal", "keyval", grmi.TypeString)
var PackTemplatePrintlst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var PackTemplatePrintlst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var PackTemplatePrintlst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackTemplatePrintlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var PackTemplatePrintlst = grmi.NewEntity(
	"LOG_PackTemplatePrintlst",
	func() interface{} { return &model.PackTemplatePrintlst{} },
	map[string]grmi.Field{
		PackTemplatePrintlst_PackTemplateId.Name: PackTemplatePrintlst_PackTemplateId,
		PackTemplatePrintlst_Pos.Name:            PackTemplatePrintlst_Pos,
		PackTemplatePrintlst_VarName.Name:        PackTemplatePrintlst_VarName,
		PackTemplatePrintlst_VarValue.Name:       PackTemplatePrintlst_VarValue,
		PackTemplatePrintlst_VarType.Name:        PackTemplatePrintlst_VarType,
		PackTemplatePrintlst_VarPos.Name:         PackTemplatePrintlst_VarPos,
		PackTemplatePrintlst_Picture.Name:        PackTemplatePrintlst_Picture,
		PackTemplatePrintlst_IsIdxToggle.Name:    PackTemplatePrintlst_IsIdxToggle,
		PackTemplatePrintlst_KeyVal.Name:         PackTemplatePrintlst_KeyVal,
		PackTemplatePrintlst_LastModify.Name:     PackTemplatePrintlst_LastModify,
		PackTemplatePrintlst_LastUser.Name:       PackTemplatePrintlst_LastUser,
		PackTemplatePrintlst_CreateTime.Name:     PackTemplatePrintlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{PackTemplatePrintlst_VarName.ColumnName, PackTemplatePrintlst_VarValue.ColumnName, PackTemplatePrintlst_VarType.ColumnName, PackTemplatePrintlst_VarPos.ColumnName, PackTemplatePrintlst_Picture.ColumnName, PackTemplatePrintlst_IsIdxToggle.ColumnName, PackTemplatePrintlst_KeyVal.ColumnName, PackTemplatePrintlst_LastUser.ColumnName})
