// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : SetupMatrix的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
var SetupMatrix_FromArtId = grmi.NewField("FromArtId", "FromArtId", "fromartid", grmi.TypeString)
var SetupMatrix_ToArtId = grmi.NewField("ToArtId", "ToArtId", "toartid", grmi.TypeString)
var SetupMatrix_WorkLineId = grmi.NewField("WorkLineId", "WorkLineId", "worklineid", grmi.TypeString)
var SetupMatrix_Descr1 = grmi.NewField("Descr1", "Descr1", "descr1", grmi.TypeString)
var SetupMatrix_Descr2 = grmi.NewField("Descr2", "Descr2", "descr2", grmi.TypeString)
var SetupMatrix_ProjectId = grmi.NewField("ProjectId", "ProjectId", "projectid", grmi.TypeString)
var SetupMatrix_SetupTime = grmi.NewField("SetupTime", "SetupTime", "setuptime", grmi.TypeFloat64)
var SetupMatrix_TimeUomId = grmi.NewField("TimeUomId", "TimeUomId", "timeuomid", grmi.TypeString)
var SetupMatrix_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var SetupMatrix_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var SetupMatrix_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SetupMatrix的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
var SetupMatrix = grmi.NewEntity(
	"ME_SetupMatrix",
	func() interface{} { return &model.SetupMatrix{} },
	map[string]grmi.Field{
		SetupMatrix_FromArtId.Name:  SetupMatrix_FromArtId,
		SetupMatrix_ToArtId.Name:    SetupMatrix_ToArtId,
		SetupMatrix_WorkLineId.Name: SetupMatrix_WorkLineId,
		SetupMatrix_Descr1.Name:     SetupMatrix_Descr1,
		SetupMatrix_Descr2.Name:     SetupMatrix_Descr2,
		SetupMatrix_ProjectId.Name:  SetupMatrix_ProjectId,
		SetupMatrix_SetupTime.Name:  SetupMatrix_SetupTime,
		SetupMatrix_TimeUomId.Name:  SetupMatrix_TimeUomId,
		SetupMatrix_LastModify.Name: SetupMatrix_LastModify,
		SetupMatrix_LastUser.Name:   SetupMatrix_LastUser,
		SetupMatrix_CreateTime.Name: SetupMatrix_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{SetupMatrix_Descr1.ColumnName, SetupMatrix_Descr2.ColumnName, SetupMatrix_ProjectId.ColumnName, SetupMatrix_SetupTime.ColumnName, SetupMatrix_TimeUomId.ColumnName, SetupMatrix_LastUser.ColumnName})
