// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Asset的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Asset_AssetNr = grmi.NewField("AssetNr", "AssetNr", "assetnr", grmi.TypeInt)
var Asset_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Asset_AssetName = grmi.NewField("AssetName", "AssetName", "assetname", grmi.TypeString)
var Asset_AssetType = grmi.NewField("AssetType", "AssetType", "assettype", grmi.TypeString)
var Asset_Model = grmi.NewField("Model", "Model", "model", grmi.TypeString)
var Asset_Year = grmi.NewField("Year", "Year", "year", grmi.TypeString)
var Asset_SerialNo = grmi.NewField("SerialNo", "SerialNo", "serialno", grmi.TypeString)
var Asset_TagNo = grmi.NewField("TagNo", "TagNo", "tagno", grmi.TypeString)
var Asset_Maker = grmi.NewField("Maker", "Maker", "maker", grmi.TypeString)
var Asset_LocaNr = grmi.NewField("LocaNr", "LocaNr", "locanr", grmi.TypeInt)
var Asset_AssetStatus = grmi.NewField("AssetStatus", "AssetStatus", "assetstatus", grmi.TypeInt)
var Asset_Operator = grmi.NewField("Operator", "Operator", "operator", grmi.TypeInt)
var Asset_WeekModelId = grmi.NewField("WeekModelId", "WeekModelId", "weekmodelid", grmi.TypeInt)
var Asset_WorkCalEndarId = grmi.NewField("WorkCalEndarId", "WorkCalEndarId", "workcalendarid", grmi.TypeInt)
var Asset_CostCenterId = grmi.NewField("CostCenterId", "CostCenterId", "costcenterid", grmi.TypeString)
var Asset_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Asset_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Asset_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Asset的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Asset = grmi.NewEntity(
	"PM_Asset_New",
	func() interface{} { return &model.Asset{} },
	map[string]grmi.Field{
		Asset_AssetNr.Name:        Asset_AssetNr,
		Asset_Descr.Name:          Asset_Descr,
		Asset_AssetName.Name:      Asset_AssetName,
		Asset_AssetType.Name:      Asset_AssetType,
		Asset_Model.Name:          Asset_Model,
		Asset_Year.Name:           Asset_Year,
		Asset_SerialNo.Name:       Asset_SerialNo,
		Asset_TagNo.Name:          Asset_TagNo,
		Asset_Maker.Name:          Asset_Maker,
		Asset_LocaNr.Name:         Asset_LocaNr,
		Asset_AssetStatus.Name:    Asset_AssetStatus,
		Asset_Operator.Name:       Asset_Operator,
		Asset_WeekModelId.Name:    Asset_WeekModelId,
		Asset_WorkCalEndarId.Name: Asset_WorkCalEndarId,
		Asset_CostCenterId.Name:   Asset_CostCenterId,
		Asset_LastModify.Name:     Asset_LastModify,
		Asset_LastUser.Name:       Asset_LastUser,
		Asset_CreateTime.Name:     Asset_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Asset_Descr.ColumnName, Asset_AssetName.ColumnName, Asset_AssetType.ColumnName, Asset_Model.ColumnName, Asset_Year.ColumnName, Asset_SerialNo.ColumnName, Asset_TagNo.ColumnName, Asset_Maker.ColumnName, Asset_LocaNr.ColumnName, Asset_AssetStatus.ColumnName, Asset_Operator.ColumnName, Asset_WeekModelId.ColumnName, Asset_WorkCalEndarId.ColumnName, Asset_CostCenterId.ColumnName, Asset_LastUser.ColumnName})
