// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AssetType的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var AssetType_AssetType = grmi.NewField("AssetType", "AssetType", "assettype", grmi.TypeString)
var AssetType_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var AssetType_Bitmap = grmi.NewField("Bitmap", "Bitmap", "bitmap", grmi.TypeString)
var AssetType_AstypPara1 = grmi.NewField("AstypPara1", "AstypPara1", "astyppara1", grmi.TypeString)
var AssetType_AstypPara2 = grmi.NewField("AstypPara2", "AstypPara2", "astyppara2", grmi.TypeString)
var AssetType_AstypPara3 = grmi.NewField("AstypPara3", "AstypPara3", "astyppara3", grmi.TypeString)
var AssetType_AstypPara4 = grmi.NewField("AstypPara4", "AstypPara4", "astyppara4", grmi.TypeString)
var AssetType_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var AssetType_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var AssetType_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AssetType的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var AssetType = grmi.NewEntity(
	"PM_AssetType_New",
	func() interface{} { return &model.AssetType{} },
	map[string]grmi.Field{
		AssetType_AssetType.Name:  AssetType_AssetType,
		AssetType_Descr.Name:      AssetType_Descr,
		AssetType_Bitmap.Name:     AssetType_Bitmap,
		AssetType_AstypPara1.Name: AssetType_AstypPara1,
		AssetType_AstypPara2.Name: AssetType_AstypPara2,
		AssetType_AstypPara3.Name: AssetType_AstypPara3,
		AssetType_AstypPara4.Name: AssetType_AstypPara4,
		AssetType_LastModify.Name: AssetType_LastModify,
		AssetType_LastUser.Name:   AssetType_LastUser,
		AssetType_CreateTime.Name: AssetType_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{AssetType_Descr.ColumnName, AssetType_Bitmap.ColumnName, AssetType_AstypPara1.ColumnName, AssetType_AstypPara2.ColumnName, AssetType_AstypPara3.ColumnName, AssetType_AstypPara4.ColumnName, AssetType_LastUser.ColumnName})
