// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Location的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Location_LocaNr = grmi.NewField("LocaNr", "LocaNr", "locanr", grmi.TypeInt)
var Location_LocaName = grmi.NewField("LocaName", "LocaName", "locaname", grmi.TypeString)
var Location_LocaPara1 = grmi.NewField("LocaPara1", "LocaPara1", "locapara1", grmi.TypeString)
var Location_LocaPara2 = grmi.NewField("LocaPara2", "LocaPara2", "locapara2", grmi.TypeString)
var Location_LocaPara3 = grmi.NewField("LocaPara3", "LocaPara3", "locapara3", grmi.TypeString)
var Location_LocaPara4 = grmi.NewField("LocaPara4", "LocaPara4", "locapara4", grmi.TypeString)
var Location_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Location_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Location_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Location的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Location = grmi.NewEntity(
	"PM_Location_New",
	func() interface{} { return &model.Location{} },
	map[string]grmi.Field{
		Location_LocaNr.Name:     Location_LocaNr,
		Location_LocaName.Name:   Location_LocaName,
		Location_LocaPara1.Name:  Location_LocaPara1,
		Location_LocaPara2.Name:  Location_LocaPara2,
		Location_LocaPara3.Name:  Location_LocaPara3,
		Location_LocaPara4.Name:  Location_LocaPara4,
		Location_LastModify.Name: Location_LastModify,
		Location_LastUser.Name:   Location_LastUser,
		Location_CreateTime.Name: Location_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Location_LocaName.ColumnName, Location_LocaPara1.ColumnName, Location_LocaPara2.ColumnName, Location_LocaPara3.ColumnName, Location_LocaPara4.ColumnName, Location_LastUser.ColumnName})
