// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : TemplateServiceLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var TemplateServiceLst_MainTemplateNr = grmi.NewField("MainTemplateNr", "MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var TemplateServiceLst_MainServiceNr = grmi.NewField("MainServiceNr", "MainServiceNr", "mainservicenr", grmi.TypeInt)
var TemplateServiceLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var TemplateServiceLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var TemplateServiceLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var TemplateServiceLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : TemplateServiceLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var TemplateServiceLst = grmi.NewEntity(
	"PM_TemplateServiceLst",
	func() interface{} { return &model.TemplateServiceLst{} },
	map[string]grmi.Field{
		TemplateServiceLst_MainTemplateNr.Name: TemplateServiceLst_MainTemplateNr,
		TemplateServiceLst_MainServiceNr.Name:  TemplateServiceLst_MainServiceNr,
		TemplateServiceLst_Pos.Name:            TemplateServiceLst_Pos,
		TemplateServiceLst_LastModify.Name:     TemplateServiceLst_LastModify,
		TemplateServiceLst_LastUser.Name:       TemplateServiceLst_LastUser,
		TemplateServiceLst_CreateTime.Name:     TemplateServiceLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{TemplateServiceLst_Pos.ColumnName, TemplateServiceLst_LastUser.ColumnName})
