// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : UserAssetLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
var UserAssetLst_UserId = grmi.NewField("UserId", "UserId", "userid", grmi.TypeString)
var UserAssetLst_AssetId = grmi.NewField("AssetId", "AssetId", "assetid", grmi.TypeInt)
var UserAssetLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var UserAssetLst_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var UserAssetLst_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var UserAssetLst_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var UserAssetLst_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var UserAssetLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var UserAssetLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var UserAssetLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : UserAssetLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
var UserAssetLst = grmi.NewEntity(
	"PM_UserAssetLst",
	func() interface{} { return &model.UserAssetLst{} },
	map[string]grmi.Field{
		UserAssetLst_UserId.Name:     UserAssetLst_UserId,
		UserAssetLst_AssetId.Name:    UserAssetLst_AssetId,
		UserAssetLst_Pos.Name:        UserAssetLst_Pos,
		UserAssetLst_CtrlPara1.Name:  UserAssetLst_CtrlPara1,
		UserAssetLst_CtrlPara2.Name:  UserAssetLst_CtrlPara2,
		UserAssetLst_CtrlPara3.Name:  UserAssetLst_CtrlPara3,
		UserAssetLst_CtrlPara4.Name:  UserAssetLst_CtrlPara4,
		UserAssetLst_LastModify.Name: UserAssetLst_LastModify,
		UserAssetLst_LastUser.Name:   UserAssetLst_LastUser,
		UserAssetLst_CreateTime.Name: UserAssetLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{UserAssetLst_Pos.ColumnName, UserAssetLst_CtrlPara1.ColumnName, UserAssetLst_CtrlPara2.ColumnName, UserAssetLst_CtrlPara3.ColumnName, UserAssetLst_CtrlPara4.ColumnName, UserAssetLst_LastUser.ColumnName})
