// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrderAttrLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var WorkOrderAttrLst_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrderAttrLst_MainServiceNr = grmi.NewField("MainServiceNr", "MainServiceNr", "mainservicenr", grmi.TypeInt)
var WorkOrderAttrLst_AttrNr = grmi.NewField("AttrNr", "AttrNr", "attrnr", grmi.TypeInt)
var WorkOrderAttrLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var WorkOrderAttrLst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkOrderAttrLst_Bitmap = grmi.NewField("Bitmap", "Bitmap", "bitmap", grmi.TypeString)
var WorkOrderAttrLst_Parameter = grmi.NewField("Parameter", "Parameter", "parameter", grmi.TypeString)
var WorkOrderAttrLst_ParaValue = grmi.NewField("ParaValue", "ParaValue", "paravalue", grmi.TypeString)
var WorkOrderAttrLst_Operator = grmi.NewField("Operator", "Operator", "operator", grmi.TypeInt)
var WorkOrderAttrLst_ActValue = grmi.NewField("ActValue", "ActValue", "actvalue", grmi.TypeString)
var WorkOrderAttrLst_OperateTime = grmi.NewField("OperateTime", "OperateTime", "operatetime", grmi.TypeDateTime)
var WorkOrderAttrLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderAttrLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var WorkOrderAttrLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderAttrLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var WorkOrderAttrLst = grmi.NewEntity(
	"PM_WorkOrderAttrLst",
	func() interface{} { return &model.WorkOrderAttrLst{} },
	map[string]grmi.Field{
		WorkOrderAttrLst_MaintWorkOrderId.Name: WorkOrderAttrLst_MaintWorkOrderId,
		WorkOrderAttrLst_MainServiceNr.Name:    WorkOrderAttrLst_MainServiceNr,
		WorkOrderAttrLst_AttrNr.Name:           WorkOrderAttrLst_AttrNr,
		WorkOrderAttrLst_Pos.Name:              WorkOrderAttrLst_Pos,
		WorkOrderAttrLst_Descr.Name:            WorkOrderAttrLst_Descr,
		WorkOrderAttrLst_Bitmap.Name:           WorkOrderAttrLst_Bitmap,
		WorkOrderAttrLst_Parameter.Name:        WorkOrderAttrLst_Parameter,
		WorkOrderAttrLst_ParaValue.Name:        WorkOrderAttrLst_ParaValue,
		WorkOrderAttrLst_Operator.Name:         WorkOrderAttrLst_Operator,
		WorkOrderAttrLst_ActValue.Name:         WorkOrderAttrLst_ActValue,
		WorkOrderAttrLst_OperateTime.Name:      WorkOrderAttrLst_OperateTime,
		WorkOrderAttrLst_LastModify.Name:       WorkOrderAttrLst_LastModify,
		WorkOrderAttrLst_LastUser.Name:         WorkOrderAttrLst_LastUser,
		WorkOrderAttrLst_CreateTime.Name:       WorkOrderAttrLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkOrderAttrLst_Pos.ColumnName, WorkOrderAttrLst_Descr.ColumnName, WorkOrderAttrLst_Bitmap.ColumnName, WorkOrderAttrLst_Parameter.ColumnName, WorkOrderAttrLst_ParaValue.ColumnName, WorkOrderAttrLst_Operator.ColumnName, WorkOrderAttrLst_ActValue.ColumnName, WorkOrderAttrLst_OperateTime.ColumnName, WorkOrderAttrLst_LastUser.ColumnName})
