// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectGrp的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var DefectGrp_DefectGrpId = grmi.NewField("DefectGrpId", "DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectGrp_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var DefectGrp_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var DefectGrp_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var DefectGrp_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectGrp的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var DefectGrp = grmi.NewEntity(
	"QM_DefectGrp",
	func() interface{} { return &model.DefectGrp{} },
	map[string]grmi.Field{
		DefectGrp_DefectGrpId.Name: DefectGrp_DefectGrpId,
		DefectGrp_Descr.Name:       DefectGrp_Descr,
		DefectGrp_LastModify.Name:  DefectGrp_LastModify,
		DefectGrp_LastUser.Name:    DefectGrp_LastUser,
		DefectGrp_CreateTime.Name:  DefectGrp_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{DefectGrp_Descr.ColumnName, DefectGrp_LastUser.ColumnName})
