// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectReason的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var DefectReason_DefectReasonId = grmi.NewField("DefectReasonId", "DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectReason_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var DefectReason_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var DefectReason_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var DefectReason_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectReason的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var DefectReason = grmi.NewEntity(
	"QM_DefectReason",
	func() interface{} { return &model.DefectReason{} },
	map[string]grmi.Field{
		DefectReason_DefectReasonId.Name: DefectReason_DefectReasonId,
		DefectReason_Descr.Name:          DefectReason_Descr,
		DefectReason_LastModify.Name:     DefectReason_LastModify,
		DefectReason_LastUser.Name:       DefectReason_LastUser,
		DefectReason_CreateTime.Name:     DefectReason_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{DefectReason_Descr.ColumnName, DefectReason_LastUser.ColumnName})
