// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : View的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var View_ViewId = grmi.NewField("ViewId", "ViewId", "viewid", grmi.TypeString)
var View_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var View_Picture = grmi.NewField("Picture", "Picture", "picture", grmi.TypeString)
var View_Abrev = grmi.NewField("Abrev", "Abrev", "abrev", grmi.TypeString)
var View_Width = grmi.NewField("Width", "Width", "width", grmi.TypeInt)
var View_Height = grmi.NewField("Height", "Height", "height", grmi.TypeInt)
var View_XLineColor = grmi.NewField("XLineColor", "XLineColor", "xlinecolor", grmi.TypeString)
var View_YLineColor = grmi.NewField("YLineColor", "YLineColor", "ylinecolor", grmi.TypeString)
var View_UseXYToggle = grmi.NewField("UseXYToggle", "UseXYToggle", "usexytoggle", grmi.TypeBool)
var View_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var View_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var View_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : View的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var View = grmi.NewEntity(
	"QM_View",
	func() interface{} { return &model.View{} },
	map[string]grmi.Field{
		View_ViewId.Name:      View_ViewId,
		View_Descr.Name:       View_Descr,
		View_Picture.Name:     View_Picture,
		View_Abrev.Name:       View_Abrev,
		View_Width.Name:       View_Width,
		View_Height.Name:      View_Height,
		View_XLineColor.Name:  View_XLineColor,
		View_YLineColor.Name:  View_YLineColor,
		View_UseXYToggle.Name: View_UseXYToggle,
		View_LastModify.Name:  View_LastModify,
		View_LastUser.Name:    View_LastUser,
		View_CreateTime.Name:  View_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{View_Descr.ColumnName, View_Picture.ColumnName, View_Abrev.ColumnName, View_Width.ColumnName, View_Height.ColumnName, View_XLineColor.ColumnName, View_YLineColor.ColumnName, View_UseXYToggle.ColumnName, View_LastUser.ColumnName})
