package om

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	svr "LAPP_GAAS_GFrame_BACKEND/services/om"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块om路由分组
	grmi.RegisterRouteMapping("/om", func(party router.Party) {

		// ProdOrder的路由组
		prodorder := party.Party("/prodorder")
		// ProdOrder的服务实例
		var serviceOfProdOrder = svr.NewProdOrderService()
		// ProdOrder插入一条
		// RegisterInsertOneProdOrder(prodorder, "/insertone", serviceOfProdOrder.InsertOne)
		// ProdOrder插入多条
		// RegisterInsertProdOrder(prodorder, "/insert", serviceOfProdOrder.Insert)
		// ProdOrder删除一条
		// RegisterDeleteOneProdOrder(prodorder, "/deleteone", serviceOfProdOrder.DeleteOne)
		// ProdOrder删除多条
		// RegisterDeleteProdOrder(prodorder, "/delete", serviceOfProdOrder.Delete)
		// ProdOrder查询多条
		RegisterSelectProdOrder(prodorder, "/query", serviceOfProdOrder.Select)
		// ProdOrder查询一条
		RegisterSelectOneProdOrder(prodorder, "/get", serviceOfProdOrder.SelectOne)
		// ProdOrder修改一条
		// RegisterUpdateOneProdOrder(prodorder, "/updateone", serviceOfProdOrder.UpdateOne)
		// ProdOrder修改多条
		// RegisterUpdateProdOrder(prodorder, "/update", serviceOfProdOrder.Update)

		// ProdOrderStatus的路由组
		prodorderstatus := party.Party("/prodorderstatus")
		// ProdOrderStatus的服务实例
		var serviceOfProdOrderStatus = svr.NewProdOrderStatusService()
		// ProdOrderStatus插入一条
		// RegisterInsertOneProdOrderStatus(prodorderstatus, "/insertone", serviceOfProdOrderStatus.InsertOne)
		// ProdOrderStatus插入多条
		// RegisterInsertProdOrderStatus(prodorderstatus, "/insert", serviceOfProdOrderStatus.Insert)
		// ProdOrderStatus删除一条
		// RegisterDeleteOneProdOrderStatus(prodorderstatus, "/deleteone", serviceOfProdOrderStatus.DeleteOne)
		// ProdOrderStatus删除多条
		// RegisterDeleteProdOrderStatus(prodorderstatus, "/delete", serviceOfProdOrderStatus.Delete)
		// ProdOrderStatus查询多条
		RegisterSelectProdOrderStatus(prodorderstatus, "/query", serviceOfProdOrderStatus.Select)
		// ProdOrderStatus查询一条
		RegisterSelectOneProdOrderStatus(prodorderstatus, "/get", serviceOfProdOrderStatus.SelectOne)
		// ProdOrderStatus修改一条
		// RegisterUpdateOneProdOrderStatus(prodorderstatus, "/updateone", serviceOfProdOrderStatus.UpdateOne)
		// ProdOrderStatus修改多条
		// RegisterUpdateProdOrderStatus(prodorderstatus, "/update", serviceOfProdOrderStatus.Update)

		// ProdOrderStatusRecLst的路由组
		prodorderstatusreclst := party.Party("/prodorderstatusreclst")
		// ProdOrderStatusRecLst的服务实例
		var serviceOfProdOrderStatusRecLst = svr.NewProdOrderStatusRecLstService()
		// ProdOrderStatusRecLst插入一条
		// RegisterInsertOneProdOrderStatusRecLst(prodorderstatusreclst, "/insertone", serviceOfProdOrderStatusRecLst.InsertOne)
		// ProdOrderStatusRecLst插入多条
		// RegisterInsertProdOrderStatusRecLst(prodorderstatusreclst, "/insert", serviceOfProdOrderStatusRecLst.Insert)
		// ProdOrderStatusRecLst删除一条
		// RegisterDeleteOneProdOrderStatusRecLst(prodorderstatusreclst, "/deleteone", serviceOfProdOrderStatusRecLst.DeleteOne)
		// ProdOrderStatusRecLst删除多条
		// RegisterDeleteProdOrderStatusRecLst(prodorderstatusreclst, "/delete", serviceOfProdOrderStatusRecLst.Delete)
		// ProdOrderStatusRecLst查询多条
		RegisterSelectProdOrderStatusRecLst(prodorderstatusreclst, "/query", serviceOfProdOrderStatusRecLst.Select)
		// ProdOrderStatusRecLst查询一条
		RegisterSelectOneProdOrderStatusRecLst(prodorderstatusreclst, "/get", serviceOfProdOrderStatusRecLst.SelectOne)
		// ProdOrderStatusRecLst修改一条
		// RegisterUpdateOneProdOrderStatusRecLst(prodorderstatusreclst, "/updateone", serviceOfProdOrderStatusRecLst.UpdateOne)
		// ProdOrderStatusRecLst修改多条
		// RegisterUpdateProdOrderStatusRecLst(prodorderstatusreclst, "/update", serviceOfProdOrderStatusRecLst.Update)

		// ProdOrderQty的路由组
		prodorderqty := party.Party("/prodorderqty")
		// ProdOrderQty的服务实例
		var serviceOfProdOrderQty = svr.NewProdOrderQtyService()
		// ProdOrderQty插入一条
		// RegisterInsertOneProdOrderQty(prodorderqty, "/insertone", serviceOfProdOrderQty.InsertOne)
		// ProdOrderQty插入多条
		// RegisterInsertProdOrderQty(prodorderqty, "/insert", serviceOfProdOrderQty.Insert)
		// ProdOrderQty删除一条
		// RegisterDeleteOneProdOrderQty(prodorderqty, "/deleteone", serviceOfProdOrderQty.DeleteOne)
		// ProdOrderQty删除多条
		// RegisterDeleteProdOrderQty(prodorderqty, "/delete", serviceOfProdOrderQty.Delete)
		// ProdOrderQty查询多条
		RegisterSelectProdOrderQty(prodorderqty, "/query", serviceOfProdOrderQty.Select)
		// ProdOrderQty查询一条
		RegisterSelectOneProdOrderQty(prodorderqty, "/get", serviceOfProdOrderQty.SelectOne)
		// ProdOrderQty修改一条
		// RegisterUpdateOneProdOrderQty(prodorderqty, "/updateone", serviceOfProdOrderQty.UpdateOne)
		// ProdOrderQty修改多条
		// RegisterUpdateProdOrderQty(prodorderqty, "/update", serviceOfProdOrderQty.Update)

		// ProdOrderQtyRecLst的路由组
		prodorderqtyreclst := party.Party("/prodorderqtyreclst")
		// ProdOrderQtyRecLst的服务实例
		var serviceOfProdOrderQtyRecLst = svr.NewProdOrderQtyRecLstService()
		// ProdOrderQtyRecLst插入一条
		// RegisterInsertOneProdOrderQtyRecLst(prodorderqtyreclst, "/insertone", serviceOfProdOrderQtyRecLst.InsertOne)
		// ProdOrderQtyRecLst插入多条
		// RegisterInsertProdOrderQtyRecLst(prodorderqtyreclst, "/insert", serviceOfProdOrderQtyRecLst.Insert)
		// ProdOrderQtyRecLst删除一条
		// RegisterDeleteOneProdOrderQtyRecLst(prodorderqtyreclst, "/deleteone", serviceOfProdOrderQtyRecLst.DeleteOne)
		// ProdOrderQtyRecLst删除多条
		// RegisterDeleteProdOrderQtyRecLst(prodorderqtyreclst, "/delete", serviceOfProdOrderQtyRecLst.Delete)
		// ProdOrderQtyRecLst查询多条
		RegisterSelectProdOrderQtyRecLst(prodorderqtyreclst, "/query", serviceOfProdOrderQtyRecLst.Select)
		// ProdOrderQtyRecLst查询一条
		RegisterSelectOneProdOrderQtyRecLst(prodorderqtyreclst, "/get", serviceOfProdOrderQtyRecLst.SelectOne)
		// ProdOrderQtyRecLst修改一条
		// RegisterUpdateOneProdOrderQtyRecLst(prodorderqtyreclst, "/updateone", serviceOfProdOrderQtyRecLst.UpdateOne)
		// ProdOrderQtyRecLst修改多条
		// RegisterUpdateProdOrderQtyRecLst(prodorderqtyreclst, "/update", serviceOfProdOrderQtyRecLst.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
