// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Attribute的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var Attribute_AttrCode = grmi.NewField("AttrCode", "AttrCode", "attrcode", grmi.TypeInt)
var Attribute_AttrName = grmi.NewField("AttrName", "AttrName", "attrname", grmi.TypeString)
var Attribute_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Attribute_AttrGroup = grmi.NewField("AttrGroup", "AttrGroup", "attrgroup", grmi.TypeInt)
var Attribute_ShortCode = grmi.NewField("ShortCode", "ShortCode", "shortcode", grmi.TypeString)
var Attribute_AttrType = grmi.NewField("AttrType", "AttrType", "attrtype", grmi.TypeInt)
var Attribute_AttrDataType = grmi.NewField("AttrDataType", "AttrDataType", "attrdatatype", grmi.TypeInt)
var Attribute_AttrValType = grmi.NewField("AttrValType", "AttrValType", "attrvaltype", grmi.TypeInt)
var Attribute_ValFormat = grmi.NewField("ValFormat", "ValFormat", "valformat", grmi.TypeString)
var Attribute_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var Attribute_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var Attribute_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Attribute的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var Attribute = grmi.NewEntity(
	"Attribute",
	func() interface{} { return &model.Attribute{} },
	map[string]grmi.Field{
		Attribute_AttrCode.Name:     Attribute_AttrCode,
		Attribute_AttrName.Name:     Attribute_AttrName,
		Attribute_Descr.Name:        Attribute_Descr,
		Attribute_AttrGroup.Name:    Attribute_AttrGroup,
		Attribute_ShortCode.Name:    Attribute_ShortCode,
		Attribute_AttrType.Name:     Attribute_AttrType,
		Attribute_AttrDataType.Name: Attribute_AttrDataType,
		Attribute_AttrValType.Name:  Attribute_AttrValType,
		Attribute_ValFormat.Name:    Attribute_ValFormat,
		Attribute_LastModify.Name:   Attribute_LastModify,
		Attribute_LastUser.Name:     Attribute_LastUser,
		Attribute_CreateTime.Name:   Attribute_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Attribute_AttrName.ColumnName, Attribute_Descr.ColumnName, Attribute_AttrGroup.ColumnName, Attribute_ShortCode.ColumnName, Attribute_AttrType.ColumnName, Attribute_AttrDataType.ColumnName, Attribute_AttrValType.ColumnName, Attribute_ValFormat.ColumnName, Attribute_LastUser.ColumnName})
