// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AttributeValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var AttributeValst_AttrCode = grmi.NewField("AttrCode", "AttrCode", "attrcode", grmi.TypeInt)
var AttributeValst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var AttributeValst_AttrValue = grmi.NewField("AttrValue", "AttrValue", "attrvalue", grmi.TypeString)
var AttributeValst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var AttributeValst_ShortCode = grmi.NewField("ShortCode", "ShortCode", "shortcode", grmi.TypeString)
var AttributeValst_Valformat = grmi.NewField("Valformat", "Valformat", "valformat", grmi.TypeString)
var AttributeValst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var AttributeValst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var AttributeValst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var AttributeValst = grmi.NewEntity(
	"AttributeValst",
	func() interface{} { return &model.AttributeValst{} },
	map[string]grmi.Field{
		AttributeValst_AttrCode.Name:   AttributeValst_AttrCode,
		AttributeValst_Pos.Name:        AttributeValst_Pos,
		AttributeValst_AttrValue.Name:  AttributeValst_AttrValue,
		AttributeValst_Descr.Name:      AttributeValst_Descr,
		AttributeValst_ShortCode.Name:  AttributeValst_ShortCode,
		AttributeValst_Valformat.Name:  AttributeValst_Valformat,
		AttributeValst_LastModify.Name: AttributeValst_LastModify,
		AttributeValst_LastUser.Name:   AttributeValst_LastUser,
		AttributeValst_CreateTime.Name: AttributeValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{AttributeValst_AttrValue.ColumnName, AttributeValst_Descr.ColumnName, AttributeValst_ShortCode.ColumnName, AttributeValst_Valformat.ColumnName, AttributeValst_LastUser.ColumnName})
