// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Etl的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Etl_EtlId = grmi.NewField("EtlId", "EtlId", "etlid", grmi.TypeInt)
var Etl_FromDb = grmi.NewField("FromDb", "FromDb", "fromdb", grmi.TypeString)
var Etl_FromTable = grmi.NewField("FromTable", "FromTable", "fromtable", grmi.TypeString)
var Etl_ToDb = grmi.NewField("ToDb", "ToDb", "todb", grmi.TypeString)
var Etl_ToTable = grmi.NewField("ToTable", "ToTable", "totable", grmi.TypeString)
var Etl_SqlShow = grmi.NewField("SqlShow", "SqlShow", "sqlshow", grmi.TypeString)
var Etl_Status = grmi.NewField("Status", "Status", "status", grmi.TypeString)
var Etl_SearchType = grmi.NewField("SearchType", "SearchType", "searchtype", grmi.TypeInt)
var Etl_SearchTime = grmi.NewField("SearchTime", "SearchTime", "searchtime", grmi.TypeString)
var Etl_SearchFiled = grmi.NewField("SearchFiled", "SearchFiled", "searchfiled", grmi.TypeString)
var Etl_ToDriverName = grmi.NewField("ToDriverName", "ToDriverName", "todrivername", grmi.TypeString)
var Etl_ToType = grmi.NewField("ToType", "ToType", "totype", grmi.TypeString)
var Etl_ChooseType = grmi.NewField("ChooseType", "ChooseType", "choosetype", grmi.TypeString)
var Etl_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Etl_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Etl_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Etl的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Etl = grmi.NewEntity(
	"Etl",
	func() interface{} { return &model.Etl{} },
	map[string]grmi.Field{
		Etl_EtlId.Name:        Etl_EtlId,
		Etl_FromDb.Name:       Etl_FromDb,
		Etl_FromTable.Name:    Etl_FromTable,
		Etl_ToDb.Name:         Etl_ToDb,
		Etl_ToTable.Name:      Etl_ToTable,
		Etl_SqlShow.Name:      Etl_SqlShow,
		Etl_Status.Name:       Etl_Status,
		Etl_SearchType.Name:   Etl_SearchType,
		Etl_SearchTime.Name:   Etl_SearchTime,
		Etl_SearchFiled.Name:  Etl_SearchFiled,
		Etl_ToDriverName.Name: Etl_ToDriverName,
		Etl_ToType.Name:       Etl_ToType,
		Etl_ChooseType.Name:   Etl_ChooseType,
		Etl_LastModify.Name:   Etl_LastModify,
		Etl_LastUser.Name:     Etl_LastUser,
		Etl_CreateTime.Name:   Etl_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Etl_FromDb.ColumnName, Etl_FromTable.ColumnName, Etl_ToDb.ColumnName, Etl_ToTable.ColumnName, Etl_SqlShow.ColumnName, Etl_Status.ColumnName, Etl_SearchType.ColumnName, Etl_SearchTime.ColumnName, Etl_SearchFiled.ColumnName, Etl_ToDriverName.ColumnName, Etl_ToType.ColumnName, Etl_ChooseType.ColumnName, Etl_LastUser.ColumnName})
