// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Menu的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
var Menu_MenuId = grmi.NewField("MenuId", "MenuId", "menuid", grmi.TypeInt)
var Menu_MenuName = grmi.NewField("MenuName", "MenuName", "menuname", grmi.TypeString)
var Menu_Title = grmi.NewField("Title", "Title", "title", grmi.TypeString)
var Menu_Icon = grmi.NewField("Icon", "Icon", "icon", grmi.TypeString)
var Menu_Path = grmi.NewField("Path", "Path", "path", grmi.TypeString)
var Menu_Paths = grmi.NewField("Paths", "Paths", "paths", grmi.TypeString)
var Menu_MenuType = grmi.NewField("MenuType", "MenuType", "menutype", grmi.TypeString)
var Menu_Action = grmi.NewField("Action", "Action", "action", grmi.TypeString)
var Menu_Permission = grmi.NewField("Permission", "Permission", "permission", grmi.TypeString)
var Menu_ParentId = grmi.NewField("ParentId", "ParentId", "parentid", grmi.TypeInt)
var Menu_NoCache = grmi.NewField("NoCache", "NoCache", "nocache", grmi.TypeString)
var Menu_BreadCrumb = grmi.NewField("BreadCrumb", "BreadCrumb", "breadcrumb", grmi.TypeString)
var Menu_Component = grmi.NewField("Component", "Component", "component", grmi.TypeString)
var Menu_Sort = grmi.NewField("Sort", "Sort", "sort", grmi.TypeInt)
var Menu_Visible = grmi.NewField("Visible", "Visible", "visible", grmi.TypeString)
var Menu_IsFrame = grmi.NewField("IsFrame", "IsFrame", "isframe", grmi.TypeInt)
var Menu_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Menu_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Menu_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Menu的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
var Menu = grmi.NewEntity(
	"Menu_New",
	func() interface{} { return &model.Menu{} },
	map[string]grmi.Field{
		Menu_MenuId.Name:     Menu_MenuId,
		Menu_MenuName.Name:   Menu_MenuName,
		Menu_Title.Name:      Menu_Title,
		Menu_Icon.Name:       Menu_Icon,
		Menu_Path.Name:       Menu_Path,
		Menu_Paths.Name:      Menu_Paths,
		Menu_MenuType.Name:   Menu_MenuType,
		Menu_Action.Name:     Menu_Action,
		Menu_Permission.Name: Menu_Permission,
		Menu_ParentId.Name:   Menu_ParentId,
		Menu_NoCache.Name:    Menu_NoCache,
		Menu_BreadCrumb.Name: Menu_BreadCrumb,
		Menu_Component.Name:  Menu_Component,
		Menu_Sort.Name:       Menu_Sort,
		Menu_Visible.Name:    Menu_Visible,
		Menu_IsFrame.Name:    Menu_IsFrame,
		Menu_LastModify.Name: Menu_LastModify,
		Menu_LastUser.Name:   Menu_LastUser,
		Menu_CreateTime.Name: Menu_CreateTime,
	},
	[]string{},
	[]string{Menu_MenuName.ColumnName, Menu_Title.ColumnName, Menu_Icon.ColumnName, Menu_Path.ColumnName, Menu_Paths.ColumnName, Menu_MenuType.ColumnName, Menu_Action.ColumnName, Menu_Permission.ColumnName, Menu_ParentId.ColumnName, Menu_NoCache.ColumnName, Menu_BreadCrumb.ColumnName, Menu_Component.ColumnName, Menu_Sort.ColumnName, Menu_Visible.ColumnName, Menu_IsFrame.ColumnName, Menu_LastUser.ColumnName})
