// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrintDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var PrintDetail_PrintHeadId = grmi.NewField("PrintHeadId", "PrintHeadId", "printheadid", grmi.TypeString)
var PrintDetail_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var PrintDetail_VarName = grmi.NewField("VarName", "VarName", "varname", grmi.TypeString)
var PrintDetail_VarValue = grmi.NewField("VarValue", "VarValue", "varvalue", grmi.TypeString)
var PrintDetail_VarType = grmi.NewField("VarType", "VarType", "vartype", grmi.TypeString)
var PrintDetail_VarPos = grmi.NewField("VarPos", "VarPos", "varpos", grmi.TypeString)
var PrintDetail_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var PrintDetail_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var PrintDetail_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrintDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var PrintDetail = grmi.NewEntity(
	"PrintDetail",
	func() interface{} { return &model.PrintDetail{} },
	map[string]grmi.Field{
		PrintDetail_PrintHeadId.Name: PrintDetail_PrintHeadId,
		PrintDetail_Pos.Name:         PrintDetail_Pos,
		PrintDetail_VarName.Name:     PrintDetail_VarName,
		PrintDetail_VarValue.Name:    PrintDetail_VarValue,
		PrintDetail_VarType.Name:     PrintDetail_VarType,
		PrintDetail_VarPos.Name:      PrintDetail_VarPos,
		PrintDetail_LastModify.Name:  PrintDetail_LastModify,
		PrintDetail_LastUser.Name:    PrintDetail_LastUser,
		PrintDetail_CreateTime.Name:  PrintDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{PrintDetail_VarName.ColumnName, PrintDetail_VarValue.ColumnName, PrintDetail_VarType.ColumnName, PrintDetail_VarPos.ColumnName, PrintDetail_LastUser.ColumnName})
