// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrintHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var PrintHead_PrintHeadId = grmi.NewField("PrintHeadId", "PrintHeadId", "printheadid", grmi.TypeString)
var PrintHead_PrinterId = grmi.NewField("PrinterId", "PrinterId", "printerid", grmi.TypeString)
var PrintHead_PrintFileType = grmi.NewField("PrintFileType", "PrintFileType", "printfiletype", grmi.TypeString)
var PrintHead_PrintEventType = grmi.NewField("PrintEventType", "PrintEventType", "printeventtype", grmi.TypeString)
var PrintHead_PrintObjId = grmi.NewField("PrintObjId", "PrintObjId", "printobjid", grmi.TypeString)
var PrintHead_PrintObjType = grmi.NewField("PrintObjType", "PrintObjType", "printobjtype", grmi.TypeString)
var PrintHead_Status = grmi.NewField("Status", "Status", "status", grmi.TypeString)
var PrintHead_TemplateFile = grmi.NewField("TemplateFile", "TemplateFile", "templatefile", grmi.TypeString)
var PrintHead_TermId = grmi.NewField("TermId", "TermId", "termid", grmi.TypeString)
var PrintHead_WebAddress = grmi.NewField("WebAddress", "WebAddress", "webaddress", grmi.TypeString)
var PrintHead_PrintCopies = grmi.NewField("PrintCopies", "PrintCopies", "printcopies", grmi.TypeInt)
var PrintHead_PrintedTime = grmi.NewField("PrintedTime", "PrintedTime", "printedtime", grmi.TypeString)
var PrintHead_PrintedCopies = grmi.NewField("PrintedCopies", "PrintedCopies", "printedcopies", grmi.TypeInt)
var PrintHead_Ival1 = grmi.NewField("Ival1", "ival1", "ival1", grmi.TypeInt)
var PrintHead_Ival2 = grmi.NewField("Ival2", "ival2", "ival2", grmi.TypeInt)
var PrintHead_Cval1 = grmi.NewField("Cval1", "cval1", "cval1", grmi.TypeString)
var PrintHead_Cval2 = grmi.NewField("Cval2", "cval2", "cval2", grmi.TypeString)
var PrintHead_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var PrintHead_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var PrintHead_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrintHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var PrintHead = grmi.NewEntity(
	"PrintHead",
	func() interface{} { return &model.PrintHead{} },
	map[string]grmi.Field{
		PrintHead_PrintHeadId.Name:    PrintHead_PrintHeadId,
		PrintHead_PrinterId.Name:      PrintHead_PrinterId,
		PrintHead_PrintFileType.Name:  PrintHead_PrintFileType,
		PrintHead_PrintEventType.Name: PrintHead_PrintEventType,
		PrintHead_PrintObjId.Name:     PrintHead_PrintObjId,
		PrintHead_PrintObjType.Name:   PrintHead_PrintObjType,
		PrintHead_Status.Name:         PrintHead_Status,
		PrintHead_TemplateFile.Name:   PrintHead_TemplateFile,
		PrintHead_TermId.Name:         PrintHead_TermId,
		PrintHead_WebAddress.Name:     PrintHead_WebAddress,
		PrintHead_PrintCopies.Name:    PrintHead_PrintCopies,
		PrintHead_PrintedTime.Name:    PrintHead_PrintedTime,
		PrintHead_PrintedCopies.Name:  PrintHead_PrintedCopies,
		PrintHead_Ival1.Name:          PrintHead_Ival1,
		PrintHead_Ival2.Name:          PrintHead_Ival2,
		PrintHead_Cval1.Name:          PrintHead_Cval1,
		PrintHead_Cval2.Name:          PrintHead_Cval2,
		PrintHead_LastModify.Name:     PrintHead_LastModify,
		PrintHead_LastUser.Name:       PrintHead_LastUser,
		PrintHead_CreateTime.Name:     PrintHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{PrintHead_PrinterId.ColumnName, PrintHead_PrintFileType.ColumnName, PrintHead_PrintEventType.ColumnName, PrintHead_PrintObjId.ColumnName, PrintHead_PrintObjType.ColumnName, PrintHead_Status.ColumnName, PrintHead_TemplateFile.ColumnName, PrintHead_TermId.ColumnName, PrintHead_WebAddress.ColumnName, PrintHead_PrintCopies.ColumnName, PrintHead_PrintedTime.ColumnName, PrintHead_PrintedCopies.ColumnName, PrintHead_Ival1.ColumnName, PrintHead_Ival2.ColumnName, PrintHead_Cval1.ColumnName, PrintHead_Cval2.ColumnName, PrintHead_LastUser.ColumnName})
