// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Printer的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Printer_PrinterId = grmi.NewField("PrinterId", "PrinterId", "printerid", grmi.TypeString)
var Printer_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Printer_PrinterType = grmi.NewField("PrinterType", "PrinterType", "printertype", grmi.TypeString)
var Printer_PrinterName = grmi.NewField("PrinterName", "PrinterName", "printername", grmi.TypeString)
var Printer_IpAddress = grmi.NewField("IpAddress", "IpAddress", "ipaddress", grmi.TypeString)
var Printer_Active = grmi.NewField("Active", "Active", "active", grmi.TypeInt)
var Printer_PrinterSpec = grmi.NewField("PrinterSpec", "PrinterSpec", "printerspec", grmi.TypeString)
var Printer_PageSize = grmi.NewField("PageSize", "PageSize", "pagesize", grmi.TypeString)
var Printer_Port = grmi.NewField("Port", "Port", "port", grmi.TypeInt)
var Printer_PrintInterval = grmi.NewField("PrintInterval", "PrintInterval", "printinterval", grmi.TypeInt)
var Printer_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Printer_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Printer_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Printer的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Printer = grmi.NewEntity(
	"Printer",
	func() interface{} { return &model.Printer{} },
	map[string]grmi.Field{
		Printer_PrinterId.Name:     Printer_PrinterId,
		Printer_Descr.Name:         Printer_Descr,
		Printer_PrinterType.Name:   Printer_PrinterType,
		Printer_PrinterName.Name:   Printer_PrinterName,
		Printer_IpAddress.Name:     Printer_IpAddress,
		Printer_Active.Name:        Printer_Active,
		Printer_PrinterSpec.Name:   Printer_PrinterSpec,
		Printer_PageSize.Name:      Printer_PageSize,
		Printer_Port.Name:          Printer_Port,
		Printer_PrintInterval.Name: Printer_PrintInterval,
		Printer_LastModify.Name:    Printer_LastModify,
		Printer_LastUser.Name:      Printer_LastUser,
		Printer_CreateTime.Name:    Printer_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Printer_Descr.ColumnName, Printer_PrinterType.ColumnName, Printer_PrinterName.ColumnName, Printer_IpAddress.ColumnName, Printer_Active.ColumnName, Printer_PrinterSpec.ColumnName, Printer_PageSize.ColumnName, Printer_Port.ColumnName, Printer_PrintInterval.ColumnName, Printer_LastUser.ColumnName})
