// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Role的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
var Role_RoleId = grmi.NewField("RoleId", "RoleId", "roleid", grmi.TypeInt)
var Role_RoleName = grmi.NewField("RoleName", "RoleName", "rolename", grmi.TypeString)
var Role_RoleSort = grmi.NewField("RoleSort", "RoleSort", "rolesort", grmi.TypeInt)
var Role_Status = grmi.NewField("Status", "Status", "status", grmi.TypeString)
var Role_Remark = grmi.NewField("Remark", "Remark", "remark", grmi.TypeString)
var Role_RoleKey = grmi.NewField("RoleKey", "RoleKey", "rolekey", grmi.TypeString)
var Role_DataScope = grmi.NewField("DataScope", "DataScope", "datascope", grmi.TypeString)
var Role_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Role_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Role_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Role的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
var Role = grmi.NewEntity(
	"Role",
	func() interface{} { return &model.Role{} },
	map[string]grmi.Field{
		Role_RoleId.Name:     Role_RoleId,
		Role_RoleName.Name:   Role_RoleName,
		Role_RoleSort.Name:   Role_RoleSort,
		Role_Status.Name:     Role_Status,
		Role_Remark.Name:     Role_Remark,
		Role_RoleKey.Name:    Role_RoleKey,
		Role_DataScope.Name:  Role_DataScope,
		Role_LastModify.Name: Role_LastModify,
		Role_LastUser.Name:   Role_LastUser,
		Role_CreateTime.Name: Role_CreateTime,
	},
	[]string{},
	[]string{Role_RoleName.ColumnName, Role_RoleSort.ColumnName, Role_Status.ColumnName, Role_Remark.ColumnName, Role_RoleKey.ColumnName, Role_DataScope.ColumnName, Role_LastUser.ColumnName})
