// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Snr的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Snr_SnrId = grmi.NewField("SnrId", "SnrId", "snrid", grmi.TypeString)
var Snr_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Snr_ValidFrom = grmi.NewField("ValidFrom", "ValidFrom", "validfrom", grmi.TypeString)
var Snr_ValidTo = grmi.NewField("ValidTo", "ValidTo", "validto", grmi.TypeString)
var Snr_Prefix = grmi.NewField("Prefix", "Prefix", "prefix", grmi.TypeString)
var Snr_Infix = grmi.NewField("Infix", "Infix", "infix", grmi.TypeString)
var Snr_Postfix = grmi.NewField("Postfix", "Postfix", "postfix", grmi.TypeString)
var Snr_StartNr = grmi.NewField("StartNr", "StartNr", "startnr", grmi.TypeInt)
var Snr_EndNr = grmi.NewField("EndNr", "EndNr", "endnr", grmi.TypeInt)
var Snr_Step = grmi.NewField("Step", "Step", "step", grmi.TypeInt)
var Snr_Length = grmi.NewField("Length", "Length", "length", grmi.TypeInt)
var Snr_NextNr = grmi.NewField("NextNr", "NextNr", "nextnr", grmi.TypeInt)
var Snr_LastNrCreate = grmi.NewField("LastNrCreate", "LastNrCreate", "lastnrcreate", grmi.TypeString)
var Snr_ResetNrRule = grmi.NewField("ResetNrRule", "ResetNrRule", "resetnrrule", grmi.TypeString)
var Snr_OverflowHandling = grmi.NewField("OverflowHandling", "OverflowHandling", "overflowhandling", grmi.TypeString)
var Snr_IdentifierFormat = grmi.NewField("IdentifierFormat", "IdentifierFormat", "identifierformat", grmi.TypeString)
var Snr_DateVariable = grmi.NewField("DateVariable", "DateVariable", "datevariable", grmi.TypeString)
var Snr_DateFormat = grmi.NewField("DateFormat", "DateFormat", "dateformat", grmi.TypeString)
var Snr_Identifierlayout = grmi.NewField("Identifierlayout", "Identifierlayout", "identifierlayout", grmi.TypeString)
var Snr_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Snr_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Snr_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Snr的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
var Snr = grmi.NewEntity(
	"Snr",
	func() interface{} { return &model.Snr{} },
	map[string]grmi.Field{
		Snr_SnrId.Name:            Snr_SnrId,
		Snr_Descr.Name:            Snr_Descr,
		Snr_ValidFrom.Name:        Snr_ValidFrom,
		Snr_ValidTo.Name:          Snr_ValidTo,
		Snr_Prefix.Name:           Snr_Prefix,
		Snr_Infix.Name:            Snr_Infix,
		Snr_Postfix.Name:          Snr_Postfix,
		Snr_StartNr.Name:          Snr_StartNr,
		Snr_EndNr.Name:            Snr_EndNr,
		Snr_Step.Name:             Snr_Step,
		Snr_Length.Name:           Snr_Length,
		Snr_NextNr.Name:           Snr_NextNr,
		Snr_LastNrCreate.Name:     Snr_LastNrCreate,
		Snr_ResetNrRule.Name:      Snr_ResetNrRule,
		Snr_OverflowHandling.Name: Snr_OverflowHandling,
		Snr_IdentifierFormat.Name: Snr_IdentifierFormat,
		Snr_DateVariable.Name:     Snr_DateVariable,
		Snr_DateFormat.Name:       Snr_DateFormat,
		Snr_Identifierlayout.Name: Snr_Identifierlayout,
		Snr_LastModify.Name:       Snr_LastModify,
		Snr_LastUser.Name:         Snr_LastUser,
		Snr_CreateTime.Name:       Snr_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Snr_Descr.ColumnName, Snr_ValidFrom.ColumnName, Snr_ValidTo.ColumnName, Snr_Prefix.ColumnName, Snr_Infix.ColumnName, Snr_Postfix.ColumnName, Snr_StartNr.ColumnName, Snr_EndNr.ColumnName, Snr_Step.ColumnName, Snr_Length.ColumnName, Snr_NextNr.ColumnName, Snr_LastNrCreate.ColumnName, Snr_ResetNrRule.ColumnName, Snr_OverflowHandling.ColumnName, Snr_IdentifierFormat.ColumnName, Snr_DateVariable.ColumnName, Snr_DateFormat.ColumnName, Snr_Identifierlayout.ColumnName, Snr_LastUser.ColumnName})
