// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Uom的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var Uom_UomId = grmi.NewField("UomId", "UomId", "uomid", grmi.TypeString)
var Uom_UomName = grmi.NewField("UomName", "UomName", "uomname", grmi.TypeString)
var Uom_UomType = grmi.NewField("UomType", "UomType", "uomtype", grmi.TypeString)
var Uom_BasicUomToggle = grmi.NewField("BasicUomToggle", "BasicUomToggle", "basicuomtoggle", grmi.TypeBool)
var Uom_BasicUom = grmi.NewField("BasicUom", "BasicUom", "basicuom", grmi.TypeString)
var Uom_ConvertRatio = grmi.NewField("ConvertRatio", "ConvertRatio", "convertratio", grmi.TypeFloat64)
var Uom_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var Uom_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var Uom_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Uom的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var Uom = grmi.NewEntity(
	"Uom",
	func() interface{} { return &model.Uom{} },
	map[string]grmi.Field{
		Uom_UomId.Name:          Uom_UomId,
		Uom_UomName.Name:        Uom_UomName,
		Uom_UomType.Name:        Uom_UomType,
		Uom_BasicUomToggle.Name: Uom_BasicUomToggle,
		Uom_BasicUom.Name:       Uom_BasicUom,
		Uom_ConvertRatio.Name:   Uom_ConvertRatio,
		Uom_LastModify.Name:     Uom_LastModify,
		Uom_LastUser.Name:       Uom_LastUser,
		Uom_CreateTime.Name:     Uom_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Uom_UomName.ColumnName, Uom_UomType.ColumnName, Uom_BasicUomToggle.ColumnName, Uom_BasicUom.ColumnName, Uom_ConvertRatio.ColumnName, Uom_LastUser.ColumnName})
