// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WeekModel的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
var WeekModel_WeekModelNr = grmi.NewField("WeekModelNr", "WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WeekModel_DateFrom = grmi.NewField("DateFrom", "DateFrom", "datefrom", grmi.TypeDate)
var WeekModel_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WeekModel_Abrev = grmi.NewField("Abrev", "Abrev", "abrev", grmi.TypeString)
var WeekModel_CtrlToggle = grmi.NewField("CtrlToggle", "CtrlToggle", "ctrltoggle", grmi.TypeBool)
var WeekModel_LoopDays = grmi.NewField("LoopDays", "LoopDays", "loopdays", grmi.TypeInt)
var WeekModel_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var WeekModel_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var WeekModel_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WeekModel的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
var WeekModel = grmi.NewEntity(
	"WeekModel",
	func() interface{} { return &model.WeekModel{} },
	map[string]grmi.Field{
		WeekModel_WeekModelNr.Name: WeekModel_WeekModelNr,
		WeekModel_DateFrom.Name:    WeekModel_DateFrom,
		WeekModel_Descr.Name:       WeekModel_Descr,
		WeekModel_Abrev.Name:       WeekModel_Abrev,
		WeekModel_CtrlToggle.Name:  WeekModel_CtrlToggle,
		WeekModel_LoopDays.Name:    WeekModel_LoopDays,
		WeekModel_LastModify.Name:  WeekModel_LastModify,
		WeekModel_LastUser.Name:    WeekModel_LastUser,
		WeekModel_CreateTime.Name:  WeekModel_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WeekModel_DateFrom.ColumnName, WeekModel_Descr.ColumnName, WeekModel_Abrev.ColumnName, WeekModel_CtrlToggle.ColumnName, WeekModel_LoopDays.ColumnName, WeekModel_LastUser.ColumnName})
