// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkCalendarLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
var WorkCalendarLst_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkCalendarLst_WorkDate = grmi.NewField("WorkDate", "WorkDate", "workdate", grmi.TypeDate)
var WorkCalendarLst_DayModelNr = grmi.NewField("DayModelNr", "DayModelNr", "daymodelnr", grmi.TypeInt)
var WorkCalendarLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var WorkCalendarLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var WorkCalendarLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkCalendarLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkCalendarLst = grmi.NewEntity(
	"WorkCalendarLst",
	func() interface{} { return &model.WorkCalendarLst{} },
	map[string]grmi.Field{
		WorkCalendarLst_WorkCalendarNr.Name: WorkCalendarLst_WorkCalendarNr,
		WorkCalendarLst_WorkDate.Name:       WorkCalendarLst_WorkDate,
		WorkCalendarLst_DayModelNr.Name:     WorkCalendarLst_DayModelNr,
		WorkCalendarLst_LastModify.Name:     WorkCalendarLst_LastModify,
		WorkCalendarLst_LastUser.Name:       WorkCalendarLst_LastUser,
		WorkCalendarLst_CreateTime.Name:     WorkCalendarLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkCalendarLst_DayModelNr.ColumnName, WorkCalendarLst_LastUser.ColumnName})
