// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineWorkShiftLst_WorkLineId = grmi.NewField("WorkLineId", "WorkLineId", "worklineid", grmi.TypeString)
var WorkLineWorkShiftLst_WorkDay = grmi.NewField("WorkDay", "WorkDay", "workday", grmi.TypeString)
var WorkLineWorkShiftLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var WorkLineWorkShiftLst_WorkShiftNr = grmi.NewField("WorkShiftNr", "WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkLineWorkShiftLst_LevelId = grmi.NewField("LevelId", "LevelId", "levelid", grmi.TypeString)
var WorkLineWorkShiftLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkLineWorkShiftLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkLineWorkShiftLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLineWorkShiftLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var WorkLineWorkShiftLst = grmi.NewEntity(
	"WorkLineWorkShiftLst",
	func() interface{} { return &model.WorkLineWorkShiftLst{} },
	map[string]grmi.Field{
		WorkLineWorkShiftLst_WorkLineId.Name:  WorkLineWorkShiftLst_WorkLineId,
		WorkLineWorkShiftLst_WorkDay.Name:     WorkLineWorkShiftLst_WorkDay,
		WorkLineWorkShiftLst_Pos.Name:         WorkLineWorkShiftLst_Pos,
		WorkLineWorkShiftLst_WorkShiftNr.Name: WorkLineWorkShiftLst_WorkShiftNr,
		WorkLineWorkShiftLst_LevelId.Name:     WorkLineWorkShiftLst_LevelId,
		WorkLineWorkShiftLst_LastModify.Name:  WorkLineWorkShiftLst_LastModify,
		WorkLineWorkShiftLst_LastUser.Name:    WorkLineWorkShiftLst_LastUser,
		WorkLineWorkShiftLst_CreateTime.Name:  WorkLineWorkShiftLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkLineWorkShiftLst_WorkShiftNr.ColumnName, WorkLineWorkShiftLst_LevelId.ColumnName, WorkLineWorkShiftLst_LastUser.ColumnName})
