// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : VendorArtLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-25 10:13:02
 *
 ******************************************************************************/
var VendorArtLst_VendorId = grmi.NewField("VendorId", "VendorId", "vendorid", grmi.TypeString)
var VendorArtLst_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var VendorArtLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var VendorArtLst_CtrlLevel = grmi.NewField("CtrlLevel", "CtrlLevel", "ctrllevel", grmi.TypeInt)
var VendorArtLst_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var VendorArtLst_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var VendorArtLst_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var VendorArtLst_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var VendorArtLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var VendorArtLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var VendorArtLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : VendorArtLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-25 10:13:02
 *
 ******************************************************************************/
var VendorArtLst = grmi.NewEntity(
	"LOG_VendorArtLst",
	func() interface{} { return &model.VendorArtLst{} },
	map[string]grmi.Field{
		VendorArtLst_VendorId.Name:   VendorArtLst_VendorId,
		VendorArtLst_ArtId.Name:      VendorArtLst_ArtId,
		VendorArtLst_Pos.Name:        VendorArtLst_Pos,
		VendorArtLst_CtrlLevel.Name:  VendorArtLst_CtrlLevel,
		VendorArtLst_CtrlPara1.Name:  VendorArtLst_CtrlPara1,
		VendorArtLst_CtrlPara2.Name:  VendorArtLst_CtrlPara2,
		VendorArtLst_CtrlPara3.Name:  VendorArtLst_CtrlPara3,
		VendorArtLst_CtrlPara4.Name:  VendorArtLst_CtrlPara4,
		VendorArtLst_LastModify.Name: VendorArtLst_LastModify,
		VendorArtLst_LastUser.Name:   VendorArtLst_LastUser,
		VendorArtLst_CreateTime.Name: VendorArtLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{VendorArtLst_Pos.ColumnName, VendorArtLst_CtrlLevel.ColumnName, VendorArtLst_CtrlPara1.ColumnName, VendorArtLst_CtrlPara2.ColumnName, VendorArtLst_CtrlPara3.ColumnName, VendorArtLst_CtrlPara4.ColumnName, VendorArtLst_LastUser.ColumnName})
