// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : Project的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
var Project_ProjectId = grmi.NewField("ProjectId", "ProjectId", "projectid", grmi.TypeString)
var Project_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Project_EnableToggle = grmi.NewField("EnableToggle", "EnableToggle", "enabletoggle", grmi.TypeBool)
var Project_PlantSiteCode = grmi.NewField("PlantSiteCode", "PlantSiteCode", "plantsitecode", grmi.TypeInt)
var Project_CustName1 = grmi.NewField("CustName1", "CustName1", "custname1", grmi.TypeString)
var Project_CustName2 = grmi.NewField("CustName2", "CustName2", "custname2", grmi.TypeString)
var Project_FileServerHost = grmi.NewField("FileServerHost", "FileServerHost", "fileserverhost", grmi.TypeString)
var Project_FileFolder1 = grmi.NewField("FileFolder1", "FileFolder1", "filefolder1", grmi.TypeString)
var Project_FileFolder2 = grmi.NewField("FileFolder2", "FileFolder2", "filefolder2", grmi.TypeString)
var Project_FileFolder3 = grmi.NewField("FileFolder3", "FileFolder3", "filefolder3", grmi.TypeString)
var Project_FileFolder4 = grmi.NewField("FileFolder4", "FileFolder4", "filefolder4", grmi.TypeString)
var Project_FileFolder5 = grmi.NewField("FileFolder5", "FileFolder5", "filefolder5", grmi.TypeString)
var Project_FileFolder6 = grmi.NewField("FileFolder6", "FileFolder6", "filefolder6", grmi.TypeString)
var Project_File1NameRegexp = grmi.NewField("File1NameRegexp", "File1NameRegexp", "file1nameregexp", grmi.TypeString)
var Project_File2NameRegexp = grmi.NewField("File2NameRegexp", "File2NameRegexp", "file2nameregexp", grmi.TypeString)
var Project_File3NameRegexp = grmi.NewField("File3NameRegexp", "File3NameRegexp", "file3nameregexp", grmi.TypeString)
var Project_File4NameRegexp = grmi.NewField("File4NameRegexp", "File4NameRegexp", "file4nameregexp", grmi.TypeString)
var Project_File5NameRegexp = grmi.NewField("File5NameRegexp", "File5NameRegexp", "file5nameregexp", grmi.TypeString)
var Project_File6NameRegexp = grmi.NewField("File6NameRegexp", "File6NameRegexp", "file6nameregexp", grmi.TypeString)
var Project_OrderVerifyRuleToggle1 = grmi.NewField("OrderVerifyRuleToggle1", "OrderVerifyRuleToggle1", "orderverifyruletoggle1", grmi.TypeBool)
var Project_OrderVerifyRuleToggle2 = grmi.NewField("OrderVerifyRuleToggle2", "OrderVerifyRuleToggle2", "orderverifyruletoggle2", grmi.TypeBool)
var Project_OrderVerifyRuleToggle3 = grmi.NewField("OrderVerifyRuleToggle3", "OrderVerifyRuleToggle3", "orderverifyruletoggle3", grmi.TypeBool)
var Project_OrderVerifyRuleToggle4 = grmi.NewField("OrderVerifyRuleToggle4", "OrderVerifyRuleToggle4", "orderverifyruletoggle4", grmi.TypeBool)
var Project_OrderVerifyRuleToggle5 = grmi.NewField("OrderVerifyRuleToggle5", "OrderVerifyRuleToggle5", "orderverifyruletoggle5", grmi.TypeBool)
var Project_OrderVerifyRuleToggle6 = grmi.NewField("OrderVerifyRuleToggle6", "OrderVerifyRuleToggle6", "orderverifyruletoggle6", grmi.TypeBool)
var Project_OrderVerifyRule1 = grmi.NewField("OrderVerifyRule1", "OrderVerifyRule1", "orderverifyrule1", grmi.TypeString)
var Project_OrderVerifyRule2 = grmi.NewField("OrderVerifyRule2", "OrderVerifyRule2", "orderverifyrule2", grmi.TypeString)
var Project_OrderVerifyRule3 = grmi.NewField("OrderVerifyRule3", "OrderVerifyRule3", "orderverifyrule3", grmi.TypeString)
var Project_OrderVerifyRule4 = grmi.NewField("OrderVerifyRule4", "OrderVerifyRule4", "orderverifyrule4", grmi.TypeString)
var Project_OrderVerifyRule5 = grmi.NewField("OrderVerifyRule5", "OrderVerifyRule5", "orderverifyrule5", grmi.TypeString)
var Project_OrderVerifyRule6 = grmi.NewField("OrderVerifyRule6", "OrderVerifyRule6", "orderverifyrule6", grmi.TypeString)
var Project_EmailServerHost = grmi.NewField("EmailServerHost", "EmailServerHost", "emailserverhost", grmi.TypeString)
var Project_EmailServerPort = grmi.NewField("EmailServerPort", "EmailServerPort", "emailserverport", grmi.TypeInt)
var Project_FromEmail = grmi.NewField("FromEmail", "FromEmail", "fromemail", grmi.TypeString)
var Project_FromPwd = grmi.NewField("FromPwd", "FromPwd", "frompwd", grmi.TypeString)
var Project_ErrorRecievers = grmi.NewField("ErrorRecievers", "ErrorRecievers", "errorrecievers", grmi.TypeString)
var Project_ErrorCcRecievers = grmi.NewField("ErrorCcRecievers", "ErrorCcRecievers", "errorccrecievers", grmi.TypeString)
var Project_LogUrl = grmi.NewField("LogUrl", "LogUrl", "logurl", grmi.TypeString)
var Project_LogTable = grmi.NewField("LogTable", "LogTable", "logtable", grmi.TypeString)
var Project_CustOrderSnr = grmi.NewField("CustOrderSnr", "CustOrderSnr", "custordersnr", grmi.TypeString)
var Project_WorkOrderSnr = grmi.NewField("WorkOrderSnr", "WorkOrderSnr", "workordersnr", grmi.TypeString)
var Project_SerialOrderSnr = grmi.NewField("SerialOrderSnr", "SerialOrderSnr", "serialordersnr", grmi.TypeString)
var Project_ManualOrderSnr = grmi.NewField("ManualOrderSnr", "ManualOrderSnr", "manualordersnr", grmi.TypeString)
var Project_OrderMsgSnr = grmi.NewField("OrderMsgSnr", "OrderMsgSnr", "ordermsgsnr", grmi.TypeString)
var Project_ReworkOrderSnr = grmi.NewField("ReworkOrderSnr", "ReworkOrderSnr", "reworkordersnr", grmi.TypeString)
var Project_PackOrderSnr = grmi.NewField("PackOrderSnr", "PackOrderSnr", "packordersnr", grmi.TypeString)
var Project_PackOrderSyncSnr = grmi.NewField("PackOrderSyncSnr", "PackOrderSyncSnr", "packordersyncsnr", grmi.TypeString)
var Project_ShipOrderSnr = grmi.NewField("ShipOrderSnr", "ShipOrderSnr", "shipordersnr", grmi.TypeString)
var Project_ShipFileSnr = grmi.NewField("ShipFileSnr", "ShipFileSnr", "shipfilesnr", grmi.TypeString)
var Project_AsnFileSnr = grmi.NewField("AsnFileSnr", "AsnFileSnr", "asnfilesnr", grmi.TypeString)
var Project_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Project_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Project_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Project的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
var Project = grmi.NewEntity(
	"ME_Project",
	func() interface{} { return &model.Project{} },
	map[string]grmi.Field{
		Project_ProjectId.Name:              Project_ProjectId,
		Project_Descr.Name:                  Project_Descr,
		Project_EnableToggle.Name:           Project_EnableToggle,
		Project_PlantSiteCode.Name:          Project_PlantSiteCode,
		Project_CustName1.Name:              Project_CustName1,
		Project_CustName2.Name:              Project_CustName2,
		Project_FileServerHost.Name:         Project_FileServerHost,
		Project_FileFolder1.Name:            Project_FileFolder1,
		Project_FileFolder2.Name:            Project_FileFolder2,
		Project_FileFolder3.Name:            Project_FileFolder3,
		Project_FileFolder4.Name:            Project_FileFolder4,
		Project_FileFolder5.Name:            Project_FileFolder5,
		Project_FileFolder6.Name:            Project_FileFolder6,
		Project_File1NameRegexp.Name:        Project_File1NameRegexp,
		Project_File2NameRegexp.Name:        Project_File2NameRegexp,
		Project_File3NameRegexp.Name:        Project_File3NameRegexp,
		Project_File4NameRegexp.Name:        Project_File4NameRegexp,
		Project_File5NameRegexp.Name:        Project_File5NameRegexp,
		Project_File6NameRegexp.Name:        Project_File6NameRegexp,
		Project_OrderVerifyRuleToggle1.Name: Project_OrderVerifyRuleToggle1,
		Project_OrderVerifyRuleToggle2.Name: Project_OrderVerifyRuleToggle2,
		Project_OrderVerifyRuleToggle3.Name: Project_OrderVerifyRuleToggle3,
		Project_OrderVerifyRuleToggle4.Name: Project_OrderVerifyRuleToggle4,
		Project_OrderVerifyRuleToggle5.Name: Project_OrderVerifyRuleToggle5,
		Project_OrderVerifyRuleToggle6.Name: Project_OrderVerifyRuleToggle6,
		Project_OrderVerifyRule1.Name:       Project_OrderVerifyRule1,
		Project_OrderVerifyRule2.Name:       Project_OrderVerifyRule2,
		Project_OrderVerifyRule3.Name:       Project_OrderVerifyRule3,
		Project_OrderVerifyRule4.Name:       Project_OrderVerifyRule4,
		Project_OrderVerifyRule5.Name:       Project_OrderVerifyRule5,
		Project_OrderVerifyRule6.Name:       Project_OrderVerifyRule6,
		Project_EmailServerHost.Name:        Project_EmailServerHost,
		Project_EmailServerPort.Name:        Project_EmailServerPort,
		Project_FromEmail.Name:              Project_FromEmail,
		Project_FromPwd.Name:                Project_FromPwd,
		Project_ErrorRecievers.Name:         Project_ErrorRecievers,
		Project_ErrorCcRecievers.Name:       Project_ErrorCcRecievers,
		Project_LogUrl.Name:                 Project_LogUrl,
		Project_LogTable.Name:               Project_LogTable,
		Project_CustOrderSnr.Name:           Project_CustOrderSnr,
		Project_WorkOrderSnr.Name:           Project_WorkOrderSnr,
		Project_SerialOrderSnr.Name:         Project_SerialOrderSnr,
		Project_ManualOrderSnr.Name:         Project_ManualOrderSnr,
		Project_OrderMsgSnr.Name:            Project_OrderMsgSnr,
		Project_ReworkOrderSnr.Name:         Project_ReworkOrderSnr,
		Project_PackOrderSnr.Name:           Project_PackOrderSnr,
		Project_PackOrderSyncSnr.Name:       Project_PackOrderSyncSnr,
		Project_ShipOrderSnr.Name:           Project_ShipOrderSnr,
		Project_ShipFileSnr.Name:            Project_ShipFileSnr,
		Project_AsnFileSnr.Name:             Project_AsnFileSnr,
		Project_LastModify.Name:             Project_LastModify,
		Project_LastUser.Name:               Project_LastUser,
		Project_CreateTime.Name:             Project_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Project_Descr.ColumnName, Project_EnableToggle.ColumnName, Project_PlantSiteCode.ColumnName, Project_CustName1.ColumnName, Project_CustName2.ColumnName, Project_FileServerHost.ColumnName, Project_FileFolder1.ColumnName, Project_FileFolder2.ColumnName, Project_FileFolder3.ColumnName, Project_FileFolder4.ColumnName, Project_FileFolder5.ColumnName, Project_FileFolder6.ColumnName, Project_File1NameRegexp.ColumnName, Project_File2NameRegexp.ColumnName, Project_File3NameRegexp.ColumnName, Project_File4NameRegexp.ColumnName, Project_File5NameRegexp.ColumnName, Project_File6NameRegexp.ColumnName, Project_OrderVerifyRuleToggle1.ColumnName, Project_OrderVerifyRuleToggle2.ColumnName, Project_OrderVerifyRuleToggle3.ColumnName, Project_OrderVerifyRuleToggle4.ColumnName, Project_OrderVerifyRuleToggle5.ColumnName, Project_OrderVerifyRuleToggle6.ColumnName, Project_OrderVerifyRule1.ColumnName, Project_OrderVerifyRule2.ColumnName, Project_OrderVerifyRule3.ColumnName, Project_OrderVerifyRule4.ColumnName, Project_OrderVerifyRule5.ColumnName, Project_OrderVerifyRule6.ColumnName, Project_EmailServerHost.ColumnName, Project_EmailServerPort.ColumnName, Project_FromEmail.ColumnName, Project_FromPwd.ColumnName, Project_ErrorRecievers.ColumnName, Project_ErrorCcRecievers.ColumnName, Project_LogUrl.ColumnName, Project_LogTable.ColumnName, Project_CustOrderSnr.ColumnName, Project_WorkOrderSnr.ColumnName, Project_SerialOrderSnr.ColumnName, Project_ManualOrderSnr.ColumnName, Project_OrderMsgSnr.ColumnName, Project_ReworkOrderSnr.ColumnName, Project_PackOrderSnr.ColumnName, Project_PackOrderSyncSnr.ColumnName, Project_ShipOrderSnr.ColumnName, Project_ShipFileSnr.ColumnName, Project_AsnFileSnr.ColumnName, Project_LastUser.ColumnName})
