// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : OdsHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var OdsHead_OdsId = grmi.NewField("OdsId", "OdsId", "odsid", grmi.TypeString)
var OdsHead_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var OdsHead_OdsTypeId = grmi.NewField("OdsTypeId", "OdsTypeId", "odstypeid", grmi.TypeString)
var OdsHead_OdsContentIdx = grmi.NewField("OdsContentIdx", "OdsContentIdx", "odscontentidx", grmi.TypeString)
var OdsHead_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var OdsHead_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var OdsHead_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var OdsHead_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var OdsHead_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var OdsHead_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var OdsHead_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OdsHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var OdsHead = grmi.NewEntity(
	"ODS_OdsHead",
	func() interface{} { return &model.OdsHead{} },
	map[string]grmi.Field{
		OdsHead_OdsId.Name:         OdsHead_OdsId,
		OdsHead_Descr.Name:         OdsHead_Descr,
		OdsHead_OdsTypeId.Name:     OdsHead_OdsTypeId,
		OdsHead_OdsContentIdx.Name: OdsHead_OdsContentIdx,
		OdsHead_CtrlPara1.Name:     OdsHead_CtrlPara1,
		OdsHead_CtrlPara2.Name:     OdsHead_CtrlPara2,
		OdsHead_CtrlPara3.Name:     OdsHead_CtrlPara3,
		OdsHead_CtrlPara4.Name:     OdsHead_CtrlPara4,
		OdsHead_LastModify.Name:    OdsHead_LastModify,
		OdsHead_LastUser.Name:      OdsHead_LastUser,
		OdsHead_CreateTime.Name:    OdsHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{OdsHead_Descr.ColumnName, OdsHead_OdsTypeId.ColumnName, OdsHead_OdsContentIdx.ColumnName, OdsHead_CtrlPara1.ColumnName, OdsHead_CtrlPara2.ColumnName, OdsHead_CtrlPara3.ColumnName, OdsHead_CtrlPara4.ColumnName, OdsHead_LastUser.ColumnName})
