// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AssetTemplateLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var AssetTemplateLst_AssetNr = grmi.NewField("AssetNr", "AssetNr", "assetnr", grmi.TypeInt)
var AssetTemplateLst_MainTemplateNr = grmi.NewField("MainTemplateNr", "MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var AssetTemplateLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var AssetTemplateLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var AssetTemplateLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var AssetTemplateLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AssetTemplateLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var AssetTemplateLst = grmi.NewEntity(
	"PM_AssetTemplateLst",
	func() interface{} { return &model.AssetTemplateLst{} },
	map[string]grmi.Field{
		AssetTemplateLst_AssetNr.Name:        AssetTemplateLst_AssetNr,
		AssetTemplateLst_MainTemplateNr.Name: AssetTemplateLst_MainTemplateNr,
		AssetTemplateLst_Pos.Name:            AssetTemplateLst_Pos,
		AssetTemplateLst_LastModify.Name:     AssetTemplateLst_LastModify,
		AssetTemplateLst_LastUser.Name:       AssetTemplateLst_LastUser,
		AssetTemplateLst_CreateTime.Name:     AssetTemplateLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{AssetTemplateLst_Pos.ColumnName, AssetTemplateLst_LastUser.ColumnName})
