// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Attribute的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Attribute_AttrNr = grmi.NewField("AttrNr", "AttrNr", "attrnr", grmi.TypeInt)
var Attribute_AttrName = grmi.NewField("AttrName", "AttrName", "attrname", grmi.TypeString)
var Attribute_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Attribute_ShortCode = grmi.NewField("ShortCode", "ShortCode", "shortcode", grmi.TypeString)
var Attribute_AttrDataType = grmi.NewField("AttrDataType", "AttrDataType", "attrdatatype", grmi.TypeString)
var Attribute_AttrValType = grmi.NewField("AttrValType", "AttrValType", "attrvaltype", grmi.TypeString)
var Attribute_ValidVal = grmi.NewField("ValidVal", "ValidVal", "validval", grmi.TypeString)
var Attribute_ValPicture = grmi.NewField("ValPicture", "ValPicture", "valpicture", grmi.TypeString)
var Attribute_Picture1 = grmi.NewField("Picture1", "Picture1", "picture1", grmi.TypeString)
var Attribute_Picture2 = grmi.NewField("Picture2", "Picture2", "picture2", grmi.TypeString)
var Attribute_IsAttrGrpToggle = grmi.NewField("IsAttrGrpToggle", "IsAttrGrpToggle", "isattrgrptoggle", grmi.TypeBool)
var Attribute_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Attribute_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Attribute_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Attribute的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Attribute = grmi.NewEntity(
	"PM_Attribute_New",
	func() interface{} { return &model.Attribute{} },
	map[string]grmi.Field{
		Attribute_AttrNr.Name:          Attribute_AttrNr,
		Attribute_AttrName.Name:        Attribute_AttrName,
		Attribute_Descr.Name:           Attribute_Descr,
		Attribute_ShortCode.Name:       Attribute_ShortCode,
		Attribute_AttrDataType.Name:    Attribute_AttrDataType,
		Attribute_AttrValType.Name:     Attribute_AttrValType,
		Attribute_ValidVal.Name:        Attribute_ValidVal,
		Attribute_ValPicture.Name:      Attribute_ValPicture,
		Attribute_Picture1.Name:        Attribute_Picture1,
		Attribute_Picture2.Name:        Attribute_Picture2,
		Attribute_IsAttrGrpToggle.Name: Attribute_IsAttrGrpToggle,
		Attribute_LastModify.Name:      Attribute_LastModify,
		Attribute_LastUser.Name:        Attribute_LastUser,
		Attribute_CreateTime.Name:      Attribute_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Attribute_AttrName.ColumnName, Attribute_Descr.ColumnName, Attribute_ShortCode.ColumnName, Attribute_AttrDataType.ColumnName, Attribute_AttrValType.ColumnName, Attribute_ValidVal.ColumnName, Attribute_ValPicture.ColumnName, Attribute_Picture1.ColumnName, Attribute_Picture2.ColumnName, Attribute_IsAttrGrpToggle.ColumnName, Attribute_LastUser.ColumnName})
