// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : AttributeValst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var AttributeValst_AttrNr = grmi.NewField("AttrNr", "AttrNr", "attrnr", grmi.TypeInt)
var AttributeValst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var AttributeValst_AttrValue = grmi.NewField("AttrValue", "AttrValue", "attrvalue", grmi.TypeString)
var AttributeValst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var AttributeValst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var AttributeValst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var AttributeValst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AttributeValst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var AttributeValst = grmi.NewEntity(
	"PM_AttributeValst",
	func() interface{} { return &model.AttributeValst{} },
	map[string]grmi.Field{
		AttributeValst_AttrNr.Name:     AttributeValst_AttrNr,
		AttributeValst_Pos.Name:        AttributeValst_Pos,
		AttributeValst_AttrValue.Name:  AttributeValst_AttrValue,
		AttributeValst_Descr.Name:      AttributeValst_Descr,
		AttributeValst_LastModify.Name: AttributeValst_LastModify,
		AttributeValst_LastUser.Name:   AttributeValst_LastUser,
		AttributeValst_CreateTime.Name: AttributeValst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{AttributeValst_AttrValue.ColumnName, AttributeValst_Descr.ColumnName, AttributeValst_LastUser.ColumnName})
