// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : ServiceAttrLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var ServiceAttrLst_MainServiceNr = grmi.NewField("MainServiceNr", "MainServiceNr", "mainservicenr", grmi.TypeInt)
var ServiceAttrLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var ServiceAttrLst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var ServiceAttrLst_AttrNr = grmi.NewField("AttrNr", "AttrNr", "attrnr", grmi.TypeInt)
var ServiceAttrLst_Parameter = grmi.NewField("Parameter", "Parameter", "parameter", grmi.TypeString)
var ServiceAttrLst_ParaValue = grmi.NewField("ParaValue", "ParaValue", "paravalue", grmi.TypeString)
var ServiceAttrLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var ServiceAttrLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var ServiceAttrLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ServiceAttrLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var ServiceAttrLst = grmi.NewEntity(
	"PM_ServiceAttrLst",
	func() interface{} { return &model.ServiceAttrLst{} },
	map[string]grmi.Field{
		ServiceAttrLst_MainServiceNr.Name: ServiceAttrLst_MainServiceNr,
		ServiceAttrLst_Pos.Name:           ServiceAttrLst_Pos,
		ServiceAttrLst_Descr.Name:         ServiceAttrLst_Descr,
		ServiceAttrLst_AttrNr.Name:        ServiceAttrLst_AttrNr,
		ServiceAttrLst_Parameter.Name:     ServiceAttrLst_Parameter,
		ServiceAttrLst_ParaValue.Name:     ServiceAttrLst_ParaValue,
		ServiceAttrLst_LastModify.Name:    ServiceAttrLst_LastModify,
		ServiceAttrLst_LastUser.Name:      ServiceAttrLst_LastUser,
		ServiceAttrLst_CreateTime.Name:    ServiceAttrLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{ServiceAttrLst_Descr.ColumnName, ServiceAttrLst_AttrNr.ColumnName, ServiceAttrLst_Parameter.ColumnName, ServiceAttrLst_ParaValue.ColumnName, ServiceAttrLst_LastUser.ColumnName})
