// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Template的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Template_MainTemplateNr = grmi.NewField("MainTemplateNr", "MainTemplateNr", "maintemplatenr", grmi.TypeInt)
var Template_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Template_TrackByDateToggle = grmi.NewField("TrackByDateToggle", "TrackByDateToggle", "trackbydatetoggle", grmi.TypeBool)
var Template_TrackByPriMeterToggle = grmi.NewField("TrackByPriMeterToggle", "TrackByPriMeterToggle", "trackbyprimetertoggle", grmi.TypeBool)
var Template_PriMeterUom = grmi.NewField("PriMeterUom", "PriMeterUom", "primeteruom", grmi.TypeString)
var Template_TrackBySecMeterToggle = grmi.NewField("TrackBySecMeterToggle", "TrackBySecMeterToggle", "trackbysecmetertoggle", grmi.TypeBool)
var Template_SecMeterUom = grmi.NewField("SecMeterUom", "SecMeterUom", "secmeteruom", grmi.TypeString)
var Template_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var Template_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var Template_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Template的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var Template = grmi.NewEntity(
	"PM_Template_New",
	func() interface{} { return &model.Template{} },
	map[string]grmi.Field{
		Template_MainTemplateNr.Name:        Template_MainTemplateNr,
		Template_Descr.Name:                 Template_Descr,
		Template_TrackByDateToggle.Name:     Template_TrackByDateToggle,
		Template_TrackByPriMeterToggle.Name: Template_TrackByPriMeterToggle,
		Template_PriMeterUom.Name:           Template_PriMeterUom,
		Template_TrackBySecMeterToggle.Name: Template_TrackBySecMeterToggle,
		Template_SecMeterUom.Name:           Template_SecMeterUom,
		Template_LastModify.Name:            Template_LastModify,
		Template_LastUser.Name:              Template_LastUser,
		Template_CreateTime.Name:            Template_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{Template_Descr.ColumnName, Template_TrackByDateToggle.ColumnName, Template_TrackByPriMeterToggle.ColumnName, Template_PriMeterUom.ColumnName, Template_TrackBySecMeterToggle.ColumnName, Template_SecMeterUom.ColumnName, Template_LastUser.ColumnName})
