// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : UserServiceLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
var UserServiceLst_UserId = grmi.NewField("UserId", "UserId", "userid", grmi.TypeString)
var UserServiceLst_MainServiceId = grmi.NewField("MainServiceId", "MainServiceId", "mainserviceid", grmi.TypeString)
var UserServiceLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var UserServiceLst_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var UserServiceLst_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var UserServiceLst_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var UserServiceLst_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var UserServiceLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var UserServiceLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var UserServiceLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : UserServiceLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
var UserServiceLst = grmi.NewEntity(
	"PM_UserServiceLst",
	func() interface{} { return &model.UserServiceLst{} },
	map[string]grmi.Field{
		UserServiceLst_UserId.Name:        UserServiceLst_UserId,
		UserServiceLst_MainServiceId.Name: UserServiceLst_MainServiceId,
		UserServiceLst_Pos.Name:           UserServiceLst_Pos,
		UserServiceLst_CtrlPara1.Name:     UserServiceLst_CtrlPara1,
		UserServiceLst_CtrlPara2.Name:     UserServiceLst_CtrlPara2,
		UserServiceLst_CtrlPara3.Name:     UserServiceLst_CtrlPara3,
		UserServiceLst_CtrlPara4.Name:     UserServiceLst_CtrlPara4,
		UserServiceLst_LastModify.Name:    UserServiceLst_LastModify,
		UserServiceLst_LastUser.Name:      UserServiceLst_LastUser,
		UserServiceLst_CreateTime.Name:    UserServiceLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{UserServiceLst_Pos.ColumnName, UserServiceLst_CtrlPara1.ColumnName, UserServiceLst_CtrlPara2.ColumnName, UserServiceLst_CtrlPara3.ColumnName, UserServiceLst_CtrlPara4.ColumnName, UserServiceLst_LastUser.ColumnName})
