// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrderNoteLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var WorkOrderNoteLst_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrderNoteLst_MainServiceNr = grmi.NewField("MainServiceNr", "MainServiceNr", "mainservicenr", grmi.TypeInt)
var WorkOrderNoteLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var WorkOrderNoteLst_Note = grmi.NewField("Note", "Note", "note", grmi.TypeString)
var WorkOrderNoteLst_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderNoteLst_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var WorkOrderNoteLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderNoteLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var WorkOrderNoteLst = grmi.NewEntity(
	"PM_WorkOrderNoteLst",
	func() interface{} { return &model.WorkOrderNoteLst{} },
	map[string]grmi.Field{
		WorkOrderNoteLst_MaintWorkOrderId.Name: WorkOrderNoteLst_MaintWorkOrderId,
		WorkOrderNoteLst_MainServiceNr.Name:    WorkOrderNoteLst_MainServiceNr,
		WorkOrderNoteLst_Pos.Name:              WorkOrderNoteLst_Pos,
		WorkOrderNoteLst_Note.Name:             WorkOrderNoteLst_Note,
		WorkOrderNoteLst_LastModify.Name:       WorkOrderNoteLst_LastModify,
		WorkOrderNoteLst_LastUser.Name:         WorkOrderNoteLst_LastUser,
		WorkOrderNoteLst_CreateTime.Name:       WorkOrderNoteLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkOrderNoteLst_Note.ColumnName, WorkOrderNoteLst_LastUser.ColumnName})
