// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var WorkOrderStatus_WorkOrderRecNr = grmi.NewField("WorkOrderRecNr", "WorkOrderRecNr", "workorderrecnr", grmi.TypeInt)
var WorkOrderStatus_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrderStatus_Operator = grmi.NewField("Operator", "Operator", "operator", grmi.TypeInt)
var WorkOrderStatus_WorkOrderBagType = grmi.NewField("WorkOrderBagType", "WorkOrderBagType", "workorderbagtype", grmi.TypeString)
var WorkOrderStatus_StatusFrom = grmi.NewField("StatusFrom", "StatusFrom", "statusfrom", grmi.TypeInt)
var WorkOrderStatus_StatusTo = grmi.NewField("StatusTo", "StatusTo", "statusto", grmi.TypeInt)
var WorkOrderStatus_OperateTime = grmi.NewField("OperateTime", "OperateTime", "operatetime", grmi.TypeDateTime)
var WorkOrderStatus_LastModify = grmi.NewField("LastModify", "LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderStatus_LastUser = grmi.NewField("LastUser", "LastUser", "lastuser", grmi.TypeString)
var WorkOrderStatus_CreateTime = grmi.NewField("CreateTime", "CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
var WorkOrderStatus = grmi.NewEntity(
	"PM_WorkOrderStatus",
	func() interface{} { return &model.WorkOrderStatus{} },
	map[string]grmi.Field{
		WorkOrderStatus_WorkOrderRecNr.Name:   WorkOrderStatus_WorkOrderRecNr,
		WorkOrderStatus_MaintWorkOrderId.Name: WorkOrderStatus_MaintWorkOrderId,
		WorkOrderStatus_Operator.Name:         WorkOrderStatus_Operator,
		WorkOrderStatus_WorkOrderBagType.Name: WorkOrderStatus_WorkOrderBagType,
		WorkOrderStatus_StatusFrom.Name:       WorkOrderStatus_StatusFrom,
		WorkOrderStatus_StatusTo.Name:         WorkOrderStatus_StatusTo,
		WorkOrderStatus_OperateTime.Name:      WorkOrderStatus_OperateTime,
		WorkOrderStatus_LastModify.Name:       WorkOrderStatus_LastModify,
		WorkOrderStatus_LastUser.Name:         WorkOrderStatus_LastUser,
		WorkOrderStatus_CreateTime.Name:       WorkOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{WorkOrderStatus_MaintWorkOrderId.ColumnName, WorkOrderStatus_Operator.ColumnName, WorkOrderStatus_WorkOrderBagType.ColumnName, WorkOrderStatus_StatusFrom.ColumnName, WorkOrderStatus_StatusTo.ColumnName, WorkOrderStatus_OperateTime.ColumnName, WorkOrderStatus_LastUser.ColumnName})
