// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : DefectGrpReasonLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var DefectGrpReasonLst_DefectGrpId = grmi.NewField("DefectGrpId", "DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectGrpReasonLst_DefectReasonId = grmi.NewField("DefectReasonId", "DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectGrpReasonLst_Pos = grmi.NewField("Pos", "pos", "pos", grmi.TypeInt)
var DefectGrpReasonLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var DefectGrpReasonLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var DefectGrpReasonLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DefectGrpReasonLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var DefectGrpReasonLst = grmi.NewEntity(
	"QM_DefectGrpReasonLst",
	func() interface{} { return &model.DefectGrpReasonLst{} },
	map[string]grmi.Field{
		DefectGrpReasonLst_DefectGrpId.Name:    DefectGrpReasonLst_DefectGrpId,
		DefectGrpReasonLst_DefectReasonId.Name: DefectGrpReasonLst_DefectReasonId,
		DefectGrpReasonLst_Pos.Name:            DefectGrpReasonLst_Pos,
		DefectGrpReasonLst_LastModify.Name:     DefectGrpReasonLst_LastModify,
		DefectGrpReasonLst_LastUser.Name:       DefectGrpReasonLst_LastUser,
		DefectGrpReasonLst_CreateTime.Name:     DefectGrpReasonLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{DefectGrpReasonLst_Pos.ColumnName, DefectGrpReasonLst_LastUser.ColumnName})
