// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : ViewDefectGrplst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var ViewDefectGrplst_ViewId = grmi.NewField("ViewId", "ViewId", "viewid", grmi.TypeString)
var ViewDefectGrplst_DefectGrpId = grmi.NewField("DefectGrpId", "DefectGrpId", "defectgrpid", grmi.TypeString)
var ViewDefectGrplst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var ViewDefectGrplst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ViewDefectGrplst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ViewDefectGrplst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ViewDefectGrplst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-22 10:49:35
 *
 ******************************************************************************/
var ViewDefectGrplst = grmi.NewEntity(
	"QM_ViewDefectGrplst",
	func() interface{} { return &model.ViewDefectGrplst{} },
	map[string]grmi.Field{
		ViewDefectGrplst_ViewId.Name:      ViewDefectGrplst_ViewId,
		ViewDefectGrplst_DefectGrpId.Name: ViewDefectGrplst_DefectGrpId,
		ViewDefectGrplst_Pos.Name:         ViewDefectGrplst_Pos,
		ViewDefectGrplst_LastModify.Name:  ViewDefectGrplst_LastModify,
		ViewDefectGrplst_LastUser.Name:    ViewDefectGrplst_LastUser,
		ViewDefectGrplst_CreateTime.Name:  ViewDefectGrplst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{ViewDefectGrplst_Pos.ColumnName, ViewDefectGrplst_LastUser.ColumnName})
