// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkLineWorkShiftLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineWorkShiftLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type WorkLineWorkShiftLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WorkLineWorkShiftLst-PlantNr"`
	WorkLineId  string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"WorkLineWorkShiftLst-WorkLineId"`
	WorkDay     string        `xorm:"pk nvarchar(8) 'WorkDay'" json:"WorkLineWorkShiftLst-WorkDay"`
	Pos         int           `xorm:"pk int 'Pos'" json:"WorkLineWorkShiftLst-Pos"`
	WorkShiftNr int           `xorm:"int 'WorkShiftNr' not null" json:"WorkLineWorkShiftLst-WorkShiftNr"`
	LevelId     string        `xorm:"nvarchar(20) 'LevelId'" json:"WorkLineWorkShiftLst-LevelId"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineWorkShiftLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineWorkShiftLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineWorkShiftLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkLineWorkShiftLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.WorkDay, self.Pos}
}
