package base

/******************************************************************************
 *
 * @Struct Name              : WeekModelLstInsertReq
 *-----------------------------------------------------------------------------
 *
 * @Description              : WeekModelLstInsertReq weekModelLst 批量插入请求体映射
 *
 * @Author                   : 张鑫
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WeekModelLstInsertReq struct {
	WeekModelNr int            `json:"weekModelNr"`
	Records     []WeekModelLst `json:"records"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkCalendarLstInsertReq
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 张鑫
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkCalendarLstInsertReq struct {
	WorkCalendarNr int               `json:"workCalendarNr"`
	Records        []WorkCalendarLst `json:"records"`
}
